2021-08-01  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: cdf4cd5e60f84ab8018da8177032fc957be6e35a
	Prepare for glibc 2.34 release.

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2021-08-01  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: e39d2b84a24e304b98a7828d45b6e169eeada4bb
	po/nl.po: Update Dutch translation.

	* po/nl.po: Modified.

2021-08-01  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 06eae99ab40becdb136a0d4aab78c96afb4fcaa5
	Update install.texi, and regenerate INSTALL.

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2021-08-01  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: e502942eb8b5f9b42c5e5ebf5960643e330e07cd
	Update translations.

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2021-08-01  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 2e2c08aa4d1bc073511b023805592c52f556ca7b
	Update NEWS.

	* NEWS: Modified.

2021-08-01  Mark Harris  <mark.hsj@gmail.com>

	COMMIT: cfdaa29f6678f57cda554e3dffb2c25e6d174489
	NEWS: Fix typos, grammar, and missing words

	* NEWS: Modified.

2021-07-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3908fa933a4354309225af616d9242f595e11ccf
	elf: Fix audit regression

	* elf/Makefile: Modified.
	* elf/dl-open.c: Modified.
	(dl_open_worker): Modified function.
	* elf/tst-audit17.c: New file.
	* elf/tst-auditmod17.c: New file.

2021-07-28  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: c37fc3ebf0607ce1953c565ffe56d56555eeb25e
	Update libc.pot for 2.34 release.

	* po/libc.pot: Modified.

2021-07-28  H.J. Lu  <hjl.tools@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 91cc803d27bda34919717b496b53cf279e44a922
	x86-64: Add Avoid_Short_Distance_REP_MOVSB

	* sysdeps/x86/cacheinfo.h: Modified.
	[IS_IN (libc)](init_cacheinfo): Modified function.
	[IS_IN (libc)](__x86_string_control): New.
	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/x86/include/cpu-features-preferred_feature_index_1.def: Modified.
	* sysdeps/x86/sysdep.h: Modified.
	(X86_STRING_CONTROL_AVOID_SHORT_DISTANCE_REP_MOVSB): New.
	* sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S: Modified.

2021-07-28  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: c25c32165d8b7c506442fdc0304f7a3a223e1f42
	Typo: Rename HAVE_CLONE3_WAPPER to HAVE_CLONE3_WRAPPER

	* sysdeps/unix/sysv/linux/clone-internal.c: Modified.
	(__clone_internal): Modified function.
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLONE3_WAPPER): Remove.
	[! __ASSEMBLER__](HAVE_CLONE3_WRAPPER): New.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLONE3_WAPPER): Remove.
	[! __ASSEMBLER__](HAVE_CLONE3_WRAPPER): New.

2021-07-28  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5f18453d1c60d1069df6db81fc09ab9fc7ea7b80
	build-many-glibcs.py: Add x86_64-linux-gnu-minimal configuration

	* scripts/build-many-glibcs.py: Modified.

2021-07-28  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 70d08ba2046f4e589fdfa0f35999dfd413844bef
	tests: use xmalloc to allocate implementation array

	* benchtests/bench-string.h: Modified.
	[TEST_MAIN][TEST_NAME](FOR_EACH_IMPL): Modified.
	(programs/xmalloc.h): Include file.
	* string/test-string.h: Modified.
	[TEST_MAIN][TEST_NAME](FOR_EACH_IMPL): Modified.
	(support/support.h): Include file.
	* support/support.h: Modified.
	(xmalloc): Remove.
	(xcalloc): Remove.
	(xrealloc): Remove.
	(xposix_memalign): Remove.
	(xasprintf): Remove.
	(xstrdup): Remove.
	(xstrndup): Remove.
	(__returns_nonnull): New.
	(__returns_nonnull): New.
	(__attr_dealloc_free): New.
	(__returns_nonnull): New.
	(__returns_nonnull): New.
	(__returns_nonnull): New.
	(__returns_nonnull): New.
	(__returns_nonnull): New.

2021-07-28  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: b8e8bb324a376cd99bb61b6c21f63c395cae9b5d
	xmalloc: Fix warnings with gcc analyzer

	* include/programs/xmalloc.h: Modified.
	(__attr_dealloc_free): Modified.
	(__attr_dealloc_free): Remove.
	(__attr_dealloc_free): Remove.
	(__attr_dealloc_free): Remove.
	(__returns_nonnull): New.
	(__returns_nonnull): New.
	(__returns_nonnull): New.
	* misc/sys/cdefs.h: Modified.
	[! __returns_nonnull][!(__GNUC_PREREQ (4, 9) || __glibc_has_attribute (__returns_nonnull__))](__returns_nonnull): New.
	[! __returns_nonnull][__GNUC_PREREQ (4, 9) || __glibc_has_attribute (__returns_nonnull__)](__returns_nonnull): New.

2021-07-28  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 4aedc25f55eda50010f2932fdb0a533db6f89f61
	__cxa_thread_atexit_impl: Abort on allocation failure [BZ #18524]

	* stdlib/cxa_thread_atexit_impl.c: Modified.
	(__cxa_thread_atexit_impl): Modified function.
	(stdio.h): Include file.

2021-07-27  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: fb1621a88665ade96e7874046ed62b1cd2e7ff35
	manual: Drop the .so suffix in libc_malloc_debug description

	* manual/memory.texi: Modified.
	* manual/tunables.texi: Modified.

2021-07-27  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: de2f68c3c751df1925c50ebf3be1c9d9f79b1dcf
	hurd: _Fork: unlock malloc before calling fork child hooks

	* sysdeps/mach/hurd/_Fork.c: Modified.
	(_Fork): Modified function.

2021-07-26  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: ddcc612ce923038b867083a0c55d6e034951155a
	Exclude static tests for mcheck and malloc-check

	* malloc/Makefile: Modified.

2021-07-25  Arjun Shankar  <arjun@redhat.com>

	COMMIT: e785361ce30cc3b1bbc1da8979126b64a71fbb5a
	i386: Regenerate ulps

	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2021-07-23  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: d34ed66f96fa9316654d7adb2afcce4be1d1c4f5
	manual: Document unsupported cases for interposition

	* manual/memory.texi: Modified.

2021-07-23  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7c124e3714c38157230ed1a5d743b37defe64dc2
	x86: Install <bits/platform/x86.h> [BZ #27958]

	* manual/platform.texi: Modified.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(cpuid_feature): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_usable): Remove function.
	(init_cpu_features): Modified function.
	(update_active): New function.
	* sysdeps/x86/dl-diagnostics-cpu.c: Modified.
	(_dl_diagnostics_cpu): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(CPU_FEATURE_SET): Modified.
	(CPU_FEATURE_UNSET): Modified.
	(CPU_FEATURE_SET_USABLE): Remove.
	(CPU_FEATURE_CPU_P): Modified.
	(CPU_FEATURE_USABLE_P): Modified.
	(cpuid_feature_internal): Modified.
	(CPU_FEATURE_SET_ACTIVE): New.
	(CPU_FEATURE_PRESENT_P): New.
	(CPU_FEATURE_ACTIVE_P): New.
	* sysdeps/x86/sys/platform/x86.h: Modified.
	(x86_cpu_has_feature): Remove function.
	(x86_cpu_is_usable): Remove function.
	(HAS_CPU_FEATURE): Remove.
	(CPU_FEATURE_USABLE): Remove.
	(x86_cpu_present): New function.
	(x86_cpu_active): New function.
	(CPU_FEATURE_PRESENT): New.
	(CPU_FEATURE_ACTIVE): New.
	* sysdeps/x86/tst-cet-legacy-10.c: Modified.
	(do_test): Modified function.
	* sysdeps/x86/tst-cpu-features-cpuinfo.c: Modified.
	(check_proc): Modified function.
	* sysdeps/x86/tst-cpu-features-supports.c: Modified.
	(check_supports): Modified function.
	(CHECK_SUPPORTS): Remove.
	(CHECK_CPU_SUPPORTS): Remove.
	(do_test): Modified function.
	(CHECK_FEATURE_ACTIVE): New.
	(CHECK_FEATURE_PRESENT): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(CHECK_CPU_FEATURE): Remove.
	(CHECK_CPU_FEATURE_USABLE): Remove.
	(do_test): Modified function.
	(CHECK_CPU_FEATURE_PRESENT): New.
	(CHECK_CPU_FEATURE_ACTIVE): New.
	* sysdeps/x86/tst-ifunc-isa.h: Modified.
	(get_isa): Modified function.
	* sysdeps/x86/tst-string-rtm.h: Modified.
	(do_test_1): Modified function.
	* sysdeps/x86_64/fpu/math-tests-arch.h: Modified.
	[REQUIRE_AVX](CHECK_ARCH_EXT): Modified.
	[REQUIRE_AVX2](CHECK_ARCH_EXT): Modified.
	[REQUIRE_AVX512F](CHECK_ARCH_EXT): Modified.

2021-07-23  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 5b8d271571434a74b2464c278eafe2ff81f31029
	Fix build and tests with --disable-tunables

	* malloc/arena.c: Modified.
	(ptmalloc_init): Modified function.
	* malloc/malloc-check.c: Modified.
	(TUNABLE_CALLBACK): Remove function.
	[HAVE_TUNABLES](TUNABLE_CALLBACK): New.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_mallopt): Remove.
	[IS_IN (libc)](libc_hidden_proto): Modified.
	[IS_IN (libc)](libc_hidden_proto): Modified.
	(__libc_mallopt): New function.
	* sysdeps/x86/Makefile: Modified.

2021-07-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 9a7ab0769b295cbf5232140401742a8f34bda3de
	hurd: Fix glob lstat compatibility

	* posix/glob-lstat-compat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_27)](GLOB_NO_LSTAT): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_27)](GLOB_LSTAT): New.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_27)](GLOB_LSTAT64): New.
	* sysdeps/gnu/glob-lstat-compat.c: Modified.
	(GLOB_NO_LSTAT): Remove.
	(GLOB_LSTAT): New.
	(GLOB_LSTAT64): New.

2021-07-22  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f032ac3b838387c00210e6d8aefcb070360252ef
	socket: Add time64 alias for setsockopt

	* socket/sys/socket.h: Modified.
	[! __USE_TIME_BITS64](setsockopt): New function.
	[__USE_TIME_BITS64][! __REDIRECT](__setsockopt64): New function.
	[__USE_TIME_BITS64][! __REDIRECT](setsockopt): New.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT_NTH): New function.
	(setsockopt): Remove.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/setsockopt.c: Modified.
	[__TIMESIZE != 64](weak_alias): New.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.

2021-07-22  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 02c17c8c1456e4c07f11ba7d080e1dd292bed162
	socket: Add time64 alias for getsockopt

	* socket/Makefile: Modified.
	* socket/sys/socket.h: Modified.
	[! __USE_TIME_BITS64](getsockopt): New function.
	[__USE_TIME_BITS64][! __REDIRECT](__getsockopt64): New function.
	[__USE_TIME_BITS64][! __REDIRECT](getsockopt): New.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT_NTH): New function.
	(getsockopt): Remove.
	* socket/tst-sockopt-time64.c: New file.
	* socket/tst-sockopt.c: New file.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/getsockopt.c: Modified.
	[__TIMESIZE != 64](weak_alias): New.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 6856975ed4ce79355752d08938f066f2ed9fcfb5
	mcheck Fix malloc_usable_size [BZ #22057]

	* malloc/Makefile: Modified.
	* malloc/malloc-debug.c: Modified.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc_usable_size): Modified function.
	* malloc/mcheck-impl.c: Modified.
	(mcheck_usable_size): New function.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 1e5a5866cb9541b5231dba3d86c8a1a35d516de9
	Remove malloc hooks [BZ #23328]

	* NEWS: Modified.
	* malloc/hooks.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](NULL): New.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](NULL): New.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](NULL): New.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](NULL): New.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New function.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New function.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New function.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New function.
	(NULL): Remove.
	(NULL): Remove.
	(NULL): Remove.
	(NULL): Remove.
	* malloc/malloc-debug.c: Modified.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](MALLOC_STATE_MAGIC): Remove.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](MALLOC_STATE_VERSION): Remove.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](malloc_save_state): Remove.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](malloc_get_state): Remove.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](compat_symbol): Remove.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](malloc_set_state): Remove.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](compat_symbol): Remove.
	(__libc_malloc): Remove.
	(__libc_free): Remove.
	(__libc_realloc): Remove.
	(__libc_memalign): Remove.
	(__libc_valloc): Remove.
	(__libc_pvalloc): Remove.
	(__libc_calloc): Remove.
	(DEBUG_FN): Remove.
	(DEBUG_FN): Remove.
	(DEBUG_FN): Remove.
	(DEBUG_FN): Remove.
	(DEBUG_FN): Remove.
	(DEBUG_FN): Remove.
	(DEBUG_FN): Remove.
	(DEBUG_FN): Remove.
	(debug_initialized): Remove.
	(malloc_debug_hooks): Remove.
	(__malloc_debugging_hooks): Remove.
	(__is_malloc_debug_enabled): Remove function.
	(__malloc_debug_enable): Remove function.
	(__malloc_debug_disable): Remove function.
	(mcheck.c): Remove include.
	(mtrace.c): Remove include.
	(malloc-check.c): Remove include.
	(__malloc_initialize_hook): Remove.
	(compat_symbol_reference): Remove.
	(malloc_hook_ini): Remove.
	(realloc_hook_ini): Remove.
	(memalign_hook_ini): Remove.
	(NULL): Remove.
	(malloc_hook_ini): Remove.
	(realloc_hook_ini): Remove.
	(memalign_hook_ini): Remove.
	(generic_hook_ini): Remove function.
	(malloc_hook_ini): Remove function.
	(realloc_hook_ini): Remove function.
	(memalign_hook_ini): Remove function.
	(pagesize): Remove.
	(dumped_main_arena_start): Remove.
	(dumped_main_arena_end): Remove.
	(DUMPED_MAIN_ARENA_CHUNK): Remove.
	(__debug_malloc): Remove function.
	(strong_alias): Remove.
	(__debug_free): Remove function.
	(strong_alias): Remove.
	(__debug_realloc): Remove function.
	(strong_alias): Remove.
	(_debug_mid_memalign): Remove function.
	(__debug_memalign): Remove function.
	(strong_alias): Remove.
	(strong_alias): Remove.
	(__debug_pvalloc): Remove function.
	(strong_alias): Remove.
	(__debug_valloc): Remove function.
	(strong_alias): Remove.
	(__debug_posix_memalign): Remove function.
	(strong_alias): Remove.
	(__debug_calloc): Remove function.
	(strong_alias): Remove.
	(malloc_usable_size): Remove function.
	(LIBC_SYMBOL): Remove.
	(SYMHANDLE): Remove.
	(LOAD_SYM): Remove.
	(malloc_info): Remove function.
	(mallopt): Remove function.
	(malloc_stats): Remove function.
	(mallinfo2): Remove function.
	(mallinfo): Remove function.
	(malloc_trim): Remove function.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)][SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_24)](__malloc_initialize_hook): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)][SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_24)](compat_symbol_reference): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)][SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](MALLOC_STATE_MAGIC): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)][SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](MALLOC_STATE_VERSION): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)][SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](malloc_save_state): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)][SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](malloc_get_state): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)][SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)][SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](malloc_set_state): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)][SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__libc_malloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__libc_free): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__libc_realloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__libc_memalign): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__libc_valloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__libc_pvalloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__libc_calloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](DEBUG_FN): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](DEBUG_FN): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](DEBUG_FN): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](DEBUG_FN): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](DEBUG_FN): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](DEBUG_FN): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](DEBUG_FN): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](DEBUG_FN): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](debug_initialized): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc_debug_hooks): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__malloc_debugging_hooks): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__is_malloc_debug_enabled): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__malloc_debug_enable): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__malloc_debug_disable): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](mcheck.c): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](mtrace.c): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc-check.c): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](realloc_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](memalign_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](NULL): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](realloc_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](memalign_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](generic_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](realloc_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](memalign_hook_ini): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](pagesize): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](dumped_main_arena_start): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](dumped_main_arena_end): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](DUMPED_MAIN_ARENA_CHUNK): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__debug_malloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](strong_alias): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__debug_free): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](strong_alias): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__debug_realloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](strong_alias): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](_debug_mid_memalign): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__debug_memalign): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](strong_alias): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](strong_alias): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__debug_pvalloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](strong_alias): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__debug_valloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](strong_alias): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__debug_posix_memalign): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](strong_alias): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](__debug_calloc): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](strong_alias): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc_usable_size): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](LIBC_SYMBOL): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](SYMHANDLE): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](LOAD_SYM): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc_info): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](mallopt): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc_stats): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](mallinfo2): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](mallinfo): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](malloc_trim): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	* malloc/malloc-hooks.h: Delete file.
	* malloc/malloc.h: Modified.
	(__MALLOC_DEPRECATED): Remove.
	(__MALLOC_DEPRECATED): Remove.
	(__MALLOC_DEPRECATED): Remove.
	(__MALLOC_DEPRECATED): Remove.
	* manual/memory.texi: Modified.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 0552fd2c7d4e8a570cb4fe4dfe65e96f6d24b0cd
	Move malloc_{g,s}et_state to libc_malloc_debug

	* NEWS: Modified.
	* malloc/Makefile: Modified.
	* malloc/Versions: Modified.
	* malloc/hooks.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_25)](MALLOC_STATE_MAGIC): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_25)](MALLOC_STATE_VERSION): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_25)](malloc_save_state): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_25)](malloc_get_state): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_25)](compat_symbol): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_25)](malloc_set_state): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_25)](compat_symbol): Remove.
	* malloc/malloc-debug.c: Modified.
	(__debug_free): Modified function.
	(__debug_realloc): Modified function.
	(malloc_usable_size): Modified function.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](MALLOC_STATE_MAGIC): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](MALLOC_STATE_VERSION): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](malloc_save_state): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](malloc_get_state): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](compat_symbol): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](malloc_set_state): New.
	[SHLIB_COMPAT (libc_malloc_debug, GLIBC_2_0, GLIBC_2_25)](compat_symbol): New.
	(dumped_main_arena_start): New.
	(dumped_main_arena_end): New.
	(DUMPED_MAIN_ARENA_CHUNK): New.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_free): Modified function.
	[IS_IN (libc)](__libc_realloc): Modified function.
	[MALLOC_DEBUG](do_check_chunk): Modified function.
	(dumped_main_arena_start): Remove.
	(dumped_main_arena_end): Remove.
	(DUMPED_MAIN_ARENA_CHUNK): Remove.
	(munmap_chunk): Modified function.
	(musable): Modified function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc_malloc_debug.abilist: Modified.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: b5bd5bfe88f496463ec9fab680a8edf64d7c2a42
	glibc.malloc.check: Wean away from malloc hooks

	* malloc/Makefile: Modified.
	* malloc/Versions: Modified.
	* malloc/arena.c: Modified.
	[HAVE_TUNABLES](TUNABLE_CALLBACK): Remove function.
	(narenas): Remove.
	(ptmalloc_init): Modified function.
	(detach_arena): Remove function.
	(_int_new_arena): Remove function.
	(get_free_list): Remove function.
	(remove_from_free_list): Remove function.
	(reused_arena): Remove function.
	(arena_get2): Remove function.
	(arena_get_retry): Remove function.
	[IS_IN (libc)](narenas): New.
	[IS_IN (libc)](detach_arena): New.
	[IS_IN (libc)](_int_new_arena): New.
	[IS_IN (libc)](get_free_list): New.
	[IS_IN (libc)](remove_from_free_list): New.
	[IS_IN (libc)](reused_arena): New.
	[IS_IN (libc)](arena_get2): New.
	[IS_IN (libc)](arena_get_retry): New.
	* malloc/hooks.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_25)](malloc_set_state): Modified function.
	(malloc-check.c): Remove include.
	* malloc/malloc-check.c: Modified.
	(using_malloc_checking): Remove.
	(__malloc_check_init): Remove function.
	(malloc_check_get_size): Modified function.
	(malloc_check): Modified function.
	(free_check): Modified function.
	(realloc_check): Modified function.
	(memalign_check): Modified function.
	(__mremap): New.
	(malloc.c): Include file.
	(TUNABLE_CALLBACK): New function.
	(initialize_malloc_check): New function.
	* malloc/malloc-debug.c: Modified.
	(malloc_debug_hooks): Modified.
	(generic_hook_ini): Modified function.
	(__debug_malloc): Modified function.
	(__debug_free): Modified function.
	(__debug_realloc): Modified function.
	(_debug_mid_memalign): Modified function.
	(__debug_calloc): Modified function.
	(malloc-check.c): Include file.
	(malloc_usable_size): New function.
	(LIBC_SYMBOL): New.
	(SYMHANDLE): New.
	(LOAD_SYM): New.
	(malloc_info): New function.
	(mallopt): New function.
	(malloc_stats): New function.
	(mallinfo2): New function.
	(mallinfo): New function.
	(malloc_trim): New function.
	* malloc/malloc.c: Modified.
	[! NDEBUG](__assert_fail): Remove.
	[! NDEBUG](__progname): Remove.
	[! NDEBUG](void): Remove.
	[! NDEBUG](__malloc_assert): Remove.
	(__libc_malloc): Remove.
	(libc_hidden_proto): Remove.
	(__libc_free): Remove.
	(libc_hidden_proto): Remove.
	(__libc_calloc): Remove.
	(__libc_realloc): Remove.
	(libc_hidden_proto): Remove.
	(__libc_memalign): Remove.
	(libc_hidden_proto): Remove.
	(__libc_valloc): Remove.
	(__libc_mallopt): Remove.
	(libc_hidden_proto): Remove.
	(__libc_mallinfo2): Remove.
	(libc_hidden_proto): Remove.
	(__libc_mallinfo): Remove.
	(__libc_pvalloc): Remove.
	(__malloc_trim): Remove.
	(__malloc_usable_size): Remove.
	(__malloc_stats): Remove.
	(__posix_memalign): Remove.
	(_mid_memalign): Remove.
	(mem2mem_check): Remove.
	(top_check): Remove.
	(malloc_check): Remove.
	(free_check): Remove.
	(realloc_check): Remove.
	(memalign_check): Remove.
	(hooks.c): Remove include.
	(__libc_malloc): Remove function.
	(libc_hidden_def): Modified.
	(void): Modified.
	(__libc_free): Remove function.
	(libc_hidden_def): Modified.
	(__libc_realloc): Remove function.
	(libc_hidden_def): Remove.
	(__libc_memalign): Remove function.
	(_mid_memalign): Remove function.
	(weak_alias): Remove.
	(libc_hidden_def): Remove.
	(__libc_valloc): Remove function.
	(__libc_pvalloc): Remove function.
	(__libc_calloc): Remove function.
	(musable): Modified function.
	(__malloc_usable_size): Remove function.
	(void): Modified.
	(libc_hidden_def): Remove.
	(void): Modified.
	(libc_hidden_def): Remove.
	(void): Remove.
	(malloc_printerr): Modified function.
	(__posix_memalign): Remove function.
	(weak_alias): Remove.
	(weak_alias): Remove.
	(strong_alias): Remove.
	(strong_alias): Remove.
	(strong_alias): Remove.
	(strong_alias): Remove.
	(weak_alias): Remove.
	(strong_alias): Remove.
	(strong_alias): Remove.
	(strong_alias): Remove.
	(strong_alias): Remove.
	(weak_alias): Remove.
	(strong_alias): Remove.
	(weak_alias): Remove.
	(strong_alias): Remove.
	(weak_alias): Remove.
	(weak_alias): Remove.
	(weak_alias): Remove.
	[IS_IN (libc)][! NDEBUG](__assert_fail): New.
	[IS_IN (libc)][! NDEBUG](__progname): New.
	[IS_IN (libc)][! NDEBUG](void): New.
	[IS_IN (libc)][! NDEBUG](__malloc_assert): New.
	[IS_IN (libc)](__libc_malloc): New.
	[IS_IN (libc)](libc_hidden_proto): New.
	[IS_IN (libc)](__libc_free): New.
	[IS_IN (libc)](libc_hidden_proto): New.
	[IS_IN (libc)](__libc_calloc): New.
	[IS_IN (libc)](__libc_realloc): New.
	[IS_IN (libc)](libc_hidden_proto): New.
	[IS_IN (libc)](__libc_memalign): New.
	[IS_IN (libc)](libc_hidden_proto): New.
	[IS_IN (libc)](__libc_valloc): New.
	[IS_IN (libc)](__libc_mallopt): New.
	[IS_IN (libc)](libc_hidden_proto): New.
	[IS_IN (libc)](__libc_mallinfo2): New.
	[IS_IN (libc)](libc_hidden_proto): New.
	[IS_IN (libc)](__libc_mallinfo): New.
	[IS_IN (libc)](__libc_pvalloc): New.
	[IS_IN (libc)](__malloc_trim): New.
	[IS_IN (libc)](__malloc_usable_size): New.
	[IS_IN (libc)](__malloc_stats): New.
	[IS_IN (libc)](__posix_memalign): New.
	[IS_IN (libc)](_mid_memalign): New.
	[IS_IN (libc)](hooks.c): New.
	[IS_IN (libc)](__libc_malloc): New.
	[IS_IN (libc)](libc_hidden_def): New.
	[IS_IN (libc)](void): New.
	[IS_IN (libc)](__libc_free): New.
	[IS_IN (libc)](libc_hidden_def): New.
	[IS_IN (libc)](__libc_realloc): New.
	[IS_IN (libc)](libc_hidden_def): New.
	[IS_IN (libc)](__libc_memalign): New.
	[IS_IN (libc)](_mid_memalign): New.
	[IS_IN (libc)](weak_alias): New.
	[IS_IN (libc)](libc_hidden_def): New.
	[IS_IN (libc)](__libc_valloc): New.
	[IS_IN (libc)](__libc_pvalloc): New.
	[IS_IN (libc)](__libc_calloc): New.
	[IS_IN (libc)](__malloc_usable_size): New.
	[IS_IN (libc)](__posix_memalign): New.
	[IS_IN (libc)](weak_alias): New.
	[IS_IN (libc)](weak_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](weak_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](weak_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](weak_alias): New.
	[IS_IN (libc)](strong_alias): New.
	[IS_IN (libc)](weak_alias): New.
	[IS_IN (libc)](weak_alias): New.
	[IS_IN (libc)](weak_alias): New.
	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/mach/hurd/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc_malloc_debug.abilist: Modified.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 9dad716d4d2993f50b165747781244bd7c43bc95
	mtrace: Wean away from malloc hooks

	* malloc/Versions: Modified.
	* malloc/malloc-debug.c: Modified.
	(malloc_debug_hooks): Modified.
	(__debug_malloc): Modified function.
	(__debug_free): Modified function.
	(__debug_realloc): Modified function.
	(_debug_mid_memalign): Modified function.
	(__debug_calloc): Modified function.
	(mtrace.c): Include file.
	* malloc/mtrace-impl.c: New file.
	* malloc/mtrace.c: Modified.
	[! _MALLOC_INTERNAL](_MALLOC_INTERNAL): Remove.
	[! _MALLOC_INTERNAL](malloc.h): Remove.
	[! _MALLOC_INTERNAL](mcheck.h): Remove.
	[! _MALLOC_INTERNAL](malloc-internal.h): Remove.
	[! _MALLOC_INTERNAL](libc-lock.h): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](mallwatch): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](tr_break): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): Remove.
	[_LIBC](__libc_freeres_fn_section): Remove.
	[_LIBC](release_libc_mem): Remove.
	(dlfcn.h): Remove include.
	(fcntl.h): Remove include.
	(stdio.h): Remove include.
	(string.h): Remove include.
	(stdlib.h): Remove include.
	(_itoa.h): Remove include.
	(libc-internal.h): Remove include.
	(dso_handle.h): Remove include.
	(libio/iolibio.h): Remove include.
	(setvbuf): Remove.
	(fwrite): Remove.
	(kernel-features.h): Remove include.
	(TRACE_BUFFER_SIZE): Remove.
	(mallstream): Remove.
	(mallenv): Remove.
	(malloc_trace_buffer): Remove.
	(__libc_lock_define_initialized): Remove.
	(tr_old_free_hook): Remove.
	(tr_old_malloc_hook): Remove.
	(tr_old_realloc_hook): Remove.
	(tr_old_memalign_hook): Remove.
	(tr_where): Remove function.
	(lock_and_info): Remove function.
	(tr_freehook): Remove.
	(tr_mallochook): Remove.
	(tr_reallochook): Remove.
	(tr_memalignhook): Remove.
	(set_default_hooks): Remove function.
	(set_trace_hooks): Remove function.
	(save_default_hooks): Remove function.
	(tr_freehook): Remove function.
	(tr_mallochook): Remove function.
	(tr_reallochook): Remove function.
	(tr_memalignhook): Remove function.
	(mtrace): Modified function.
	(muntrace): Modified function.
	[!(!IS_IN (libc))](shlib-compat.h): New.
	[!(!IS_IN (libc))](libc-symbols.h): New.
	[!IS_IN (libc)](mtrace-impl.c): New.
	[IS_IN (libc) && SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](mallwatch): New.
	[IS_IN (libc) && SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[IS_IN (libc) && SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](tr_break): New.
	[IS_IN (libc) && SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	* sysdeps/generic/localplt.data: Modified.
	* sysdeps/mach/hurd/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/arc/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/csky/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/riscv/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc_malloc_debug.abilist: Modified.
	* sysdeps/x86_64/localplt.data: Modified.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: cc35896ea3e4532919ec81b17f36299117debe79
	Simplify __malloc_initialized

	* include/malloc.h: Modified.
	[! _ISOMAC](__malloc_initialized): Remove.
	[! _ISOMAC](__malloc_initialized): Remove.
	* malloc/arena.c: Modified.
	(__malloc_initialized): Modified.
	(__malloc_fork_lock_parent): Modified function.
	(__malloc_fork_unlock_parent): Modified function.
	(__malloc_fork_unlock_child): Modified function.
	(ptmalloc_init): Modified function.
	* malloc/malloc.c: Modified.
	(__libc_malloc): Modified function.
	(__libc_realloc): Modified function.
	(__libc_memalign): Modified function.
	(__libc_valloc): Modified function.
	(__libc_pvalloc): Modified function.
	(__libc_calloc): Modified function.
	(__malloc_trim): Modified function.
	(__libc_mallinfo2): Modified function.
	(__malloc_stats): Modified function.
	(__libc_mallopt): Modified function.
	(__posix_memalign): Modified function.
	(__malloc_info): Modified function.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: c142eb253f3814f46527e9b37484041dd85702cf
	mcheck: Wean away from malloc hooks [BZ #23489]

	* include/mcheck.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* malloc/Makefile: Modified.
	* malloc/Versions: Modified.
	* malloc/hooks.c: Modified.
	(malloc_hook_ini): Remove.
	(realloc_hook_ini): Remove.
	(memalign_hook_ini): Remove.
	(weak_variable): Remove.
	(malloc_hook_ini): Remove.
	(weak_variable): Remove.
	(realloc_hook_ini): Remove.
	(weak_variable): Remove.
	(memalign_hook_ini): Remove.
	(generic_hook_ini): Remove function.
	(malloc_hook_ini): Remove function.
	(realloc_hook_ini): Remove function.
	(memalign_hook_ini): Remove function.
	(NULL): New.
	(NULL): New.
	(NULL): New.
	* malloc/malloc-debug.c: Modified.
	(__free_hook): Remove.
	(compat_symbol_reference): Modified.
	(__malloc_hook): Remove.
	(compat_symbol_reference): Remove.
	(__realloc_hook): Remove.
	(compat_symbol_reference): Remove.
	(__memalign_hook): Remove.
	(compat_symbol_reference): Remove.
	(__debug_malloc): Modified function.
	(__debug_free): Modified function.
	(__debug_realloc): Modified function.
	(_debug_mid_memalign): Modified function.
	(__debug_calloc): Modified function.
	(debug_initialized): New.
	(malloc_debug_hooks): New.
	(__malloc_debugging_hooks): New.
	(__is_malloc_debug_enabled): New function.
	(__malloc_debug_enable): New function.
	(__malloc_debug_disable): New function.
	(mcheck.c): Include file.
	(__malloc_initialize_hook): New.
	(malloc_hook_ini): New function.
	(realloc_hook_ini): New function.
	(memalign_hook_ini): New function.
	(NULL): New.
	(malloc_hook_ini): New.
	(realloc_hook_ini): New.
	(memalign_hook_ini): New.
	(generic_hook_ini): New function.
	(malloc_hook_ini): New function.
	(realloc_hook_ini): New function.
	(memalign_hook_ini): New function.
	* malloc/mcheck-impl.c: New file.
	* malloc/mcheck.c: Modified.
	[! _MALLOC_INTERNAL](_MALLOC_INTERNAL): Remove.
	[! _MALLOC_INTERNAL](malloc.h): Remove.
	[! _MALLOC_INTERNAL](malloc-size.h): Remove.
	[! _MALLOC_INTERNAL](mcheck.h): Remove.
	[! _MALLOC_INTERNAL](stdint.h): Remove.
	[! _MALLOC_INTERNAL](stdio.h): Remove.
	[! _MALLOC_INTERNAL](libintl.h): Remove.
	[! _MALLOC_INTERNAL](errno.h): Remove.
	[! _MALLOC_INTERNAL](malloc-internal.h): Remove.
	[!(_LIBC ||  STDC_HEADERS ||  USG)](flood): Remove.
	[!(_LIBC ||  STDC_HEADERS ||  USG)](flood): Remove.
	[_LIBC](libc_hidden_def): Remove.
	[_LIBC](libc_hidden_def): Remove.
	[_LIBC ||  STDC_HEADERS ||  USG](string.h): Remove.
	[_LIBC ||  STDC_HEADERS ||  USG](flood): Remove.
	(old_free_hook): Remove.
	(old_malloc_hook): Remove.
	(old_memalign_hook): Remove.
	(old_realloc_hook): Remove.
	(abortfunc): Remove.
	(MAGICWORD): Remove.
	(MAGICFREE): Remove.
	(MAGICBYTE): Remove.
	(MALLOCFLOOD): Remove.
	(FREEFLOOD): Remove.
	(hdr): Remove.
	(root): Remove.
	(mcheck_used): Remove.
	(pedantic): Remove.
	(checkhdr): Remove function.
	(mcheck_check_all): Modified function.
	(unlink_blk): Remove function.
	(link_blk): Remove function.
	(freehook): Remove function.
	(mallochook): Remove function.
	(memalignhook): Remove function.
	(reallochook): Remove function.
	(mabort): Remove function.
	(malloc_opt_barrier): Remove.
	(mcheck): Modified function.
	(mcheck_pedantic): Modified function.
	(mprobe): Modified function.
	[!(!IS_IN (libc))](mcheck.h): New.
	[!IS_IN (libc)](mcheck-impl.c): New.
	* posix/Makefile: Modified.
	* sysdeps/mach/hurd/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc_malloc_debug.abilist: Modified.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 2d2d9f2b48a943fa556301db532103d09800da4d
	Move malloc hooks into a compat DSO

	* NEWS: Modified.
	* Rules: Modified.
	* catgets/Makefile: Modified.
	* elf/Makefile: Modified.
	* elf/tst-leaks1-static.c: Delete file.
	* iconvdata/Makefile: Modified.
	* intl/tst-gettext.sh: Modified.
	* libio/Makefile: Modified.
	* localedata/Makefile: Modified.
	* malloc/Makefile: Modified.
	* malloc/Versions: Modified.
	* malloc/arena.c: Modified.
	(ptmalloc_init): Modified function.
	* malloc/hooks.c: Modified.
	(malloc_hook_ini): Modified function.
	(realloc_hook_ini): Modified function.
	(memalign_hook_ini): Modified function.
	[! weak_variable](weak_variable): New.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_24)](__malloc_initialize_hook): New.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_24)](compat_symbol): New.
	(malloc_hook_ini): New function.
	(realloc_hook_ini): New function.
	(memalign_hook_ini): New function.
	(NULL): New.
	(weak_variable): New.
	(malloc_hook_ini): New.
	(weak_variable): New.
	(realloc_hook_ini): New.
	(weak_variable): New.
	(memalign_hook_ini): New.
	(generic_hook_ini): New function.
	* malloc/malloc-debug.c: New file.
	* malloc/malloc.c: Modified.
	[! weak_variable](weak_variable): Remove.
	[!(SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_24))](HAVE_MALLOC_INIT_HOOK): Remove.
	[HAVE_MALLOC_INIT_HOOK](__malloc_initialize_hook): Remove.
	[HAVE_MALLOC_INIT_HOOK](compat_symbol): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_24)](HAVE_MALLOC_INIT_HOOK): Remove.
	(malloc_hook_ini): Remove.
	(realloc_hook_ini): Remove.
	(memalign_hook_ini): Remove.
	(NULL): Remove.
	(weak_variable): Remove.
	(malloc_hook_ini): Remove.
	(weak_variable): Remove.
	(realloc_hook_ini): Remove.
	(weak_variable): Remove.
	(memalign_hook_ini): Remove.
	(__libc_malloc): Modified function.
	(__libc_free): Modified function.
	(__libc_realloc): Modified function.
	(__libc_memalign): Modified function.
	(_mid_memalign): Modified function.
	(__libc_calloc): Modified function.
	(__posix_memalign): Modified function.
	* malloc/mcheck.c: Modified.
	[! _MALLOC_INTERNAL](malloc-internal.h): Include file.
	* malloc/mtrace.c: Modified.
	[! _MALLOC_INTERNAL](malloc-internal.h): Include file.
	* malloc/tst-compathooks-off.c: New file.
	* malloc/tst-compathooks-on.c: New file.
	* malloc/tst-malloc-usable-static-tunables.c: Delete file.
	* malloc/tst-malloc-usable-static.c: Delete file.
	* malloc/tst-mtrace.sh: Modified.
	* manual/memory.texi: Modified.
	* manual/tunables.texi: Modified.
	* misc/Makefile: Modified.
	* nptl/Makefile: Modified.
	* posix/Makefile: Modified.
	* resolv/Makefile: Modified.
	* shlib-versions: Modified.
	* stdio-common/Makefile: Modified.
	* sysdeps/generic/libc_malloc_debug.abilist: New file.
	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/i386/libc_malloc_debug.abilist: New file.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/alpha/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/arm/be/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/arm/le/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/csky/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/hppa/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/hppa/shlib-versions: Modified.
	* sysdeps/unix/sysv/linux/i386/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/ia64/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/ia64/shlib-versions: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/microblaze/be/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/microblaze/le/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/mips/shlib-versions: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/sh/be/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/sh/le/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/sh/shlib-versions: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/shlib-versions: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc_malloc_debug.abilist: New file.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 55a4dd39308951da4b0da84b19e415c2bb451b60
	Remove __morecore and __default_morecore

	* NEWS: Modified.
	* include/stdlib.h: Modified.
	[! _ISOMAC](__default_morecore): Remove.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* malloc/Makefile: Modified.
	* malloc/arena.c: Modified.
	[(SHARED) || (USE_MTAG)](__failing_morecore): Remove.
	(ptmalloc_init): Modified function.
	* malloc/hooks.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](__morecore): New.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New function.
	* malloc/malloc.c: Modified.
	(MORECORE): Modified.
	(__default_morecore): Remove.
	(__default_morecore): Remove.
	(morecore.c): Include file.
	* malloc/malloc.h: Modified.
	(__MALLOC_DEPRECATED): Modified.
	(__MALLOC_DEPRECATED): Modified.
	(__MALLOC_DEPRECATED): Modified.
	(__MALLOC_DEPRECATED): Modified.
	(__MALLOC_DEPRECATED): Modified.
	(__MALLOC_DEPRECATED): Remove.
	(__MALLOC_DEPRECATED): Remove.
	* malloc/morecore.c: Modified.
	[! NULL](NULL): Remove.
	[! _MALLOC_INTERNAL](_MALLOC_INTERNAL): Remove.
	[! _MALLOC_INTERNAL](malloc.h): Remove.
	[! __GNU_LIBRARY__](__sbrk): Remove.
	[__GNU_LIBRARY__](stddef.h): Remove.
	[__GNU_LIBRARY__](stdlib.h): Remove.
	[__GNU_LIBRARY__](__sbrk): Remove.
	[__GNU_LIBRARY__](libc_hidden_proto): Remove.
	(__default_morecore): Remove function.
	(libc_hidden_def): Remove.
	[(SHARED) || (USE_MTAG)](__always_fail_morecore): New.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	(__glibc_morecore): New function.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 57b07bede12635bd6d6aa0e488824bb510bbeca4
	Remove __after_morecore_hook

	* malloc/hooks.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](NULL): New.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	* malloc/malloc.c: Modified.
	(NULL): Remove.
	(sysmalloc): Modified function.
	(systrim): Modified function.
	* malloc/malloc.h: Modified.
	(__MALLOC_DEPRECATED): Remove.

2021-07-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 0075c4f39dcc53025103e2919aa74b02f776c1d2
	Make mcheck tests conditional on GLIBC_2.23 or earlier

	* malloc/Makefile: Modified.

2021-07-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 094ed6b0cc4ef239d197881247431ba37fac0803
	posix: Add sysconf(_SC_{MIN,}SIGSTKSZ) support

	* sysdeps/posix/sysconf.c: Modified.
	(__sysconf): Modified function.
	(signal.h): Include file.

2021-07-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 63c60cff12a956a090d9850dec68f176cb34ba7b
	malloc: Fix tst-mallocfork3-malloc-check link

	* malloc/Makefile: Modified.

2021-07-21  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 8eb4f2e404c795c539c1925f70a76b2c08b934c1
	ARC: elf: make type safe

	* sysdeps/arc/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_matches_host): Modified function.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	[! dl_machine_h](elf_machine_fixup_plt): Modified function.
	[! dl_machine_h](elf_machine_plt_value): Remove function.
	[! dl_machine_h](elf_machine_plt_value): New.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	[RESOLVE_MAP](elf_machine_lazy_rel): Modified function.

2021-07-21  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 31aefa93f3e9a49b7a493d410acb70108e176d61
	ARC: fp: (micro)optimize FPU_STATUS read by eliding FWE bit clearing

	* sysdeps/arc/fpu_control.h: Modified.
	[!(! __ARC_FPU_SP__ && ! __ARC_FPU_DP__)](_FPU_GETS): Modified.
	[!(! __ARC_FPU_SP__ && ! __ARC_FPU_DP__)](_FPU_SETS): Modified.

2021-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 77ede5f010f1b144e067ec035e422a13bb57c55d
	socket: Add time64 alias for sendmsg

	* socket/sys/socket.h: Modified.
	[! __USE_TIME_BITS64](sendmsg): New function.
	[__USE_TIME_BITS64][! __REDIRECT](__sendmsg64): New function.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT): Modified.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT): New function.
	(sendmsg): Remove.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sendmsg.c: Modified.
	[__TIMESIZE != 64](weak_alias): New.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.

2021-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0a921c52b3b9b7006b597d227265a47c5e5c78f4
	socket: Add time64 alias for recvmsg

	* socket/sys/socket.h: Modified.
	(recvmsg): Remove.
	[! __USE_TIME_BITS64](recvmsg): New.
	[__USE_TIME_BITS64][! __REDIRECT](__recvmsg64): New.
	[__USE_TIME_BITS64][! __REDIRECT](recvmsg): New.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT): New.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/recvmsg.c: Modified.
	[__TIMESIZE != 64](weak_alias): New.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.

2021-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8b2c706a9d0365793c88b044c69b78724b3078af
	socket: Add time64 alias for sendmmsg

	* socket/sys/socket.h: Modified.
	[__USE_GNU][! __USE_TIME_BITS64](sendmmsg): New function.
	[__USE_GNU][__USE_TIME_BITS64][! __REDIRECT](__sendmmsg64): New function.
	[__USE_GNU][__USE_TIME_BITS64][! __REDIRECT](sendmmsg): New.
	[__USE_GNU][__USE_TIME_BITS64][__REDIRECT](__REDIRECT): Modified.
	[__USE_GNU][__USE_TIME_BITS64][__REDIRECT](__REDIRECT): New function.
	[__USE_GNU](sendmmsg): Remove.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sendmmsg.c: Modified.
	[__TIMESIZE != 64](weak_alias): New.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/tst-scm_rights-time64.c: New file.
	* sysdeps/unix/sysv/linux/tst-scm_rights.c: New file.

2021-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b39ffab860cd743a82c91946619f1b8158b0b65e
	Linux: Add time64 alias for prctl

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/prctl.c: Modified.
	[__TIMESIZE != 64](weak_alias): New.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/prctl.h: Modified.
	(prctl): Remove.
	[! __USE_TIME_BITS64](prctl): New.
	[__USE_TIME_BITS64][! __REDIRECT](__prctl_time64): New.
	[__USE_TIME_BITS64][! __REDIRECT](ioctl): New.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT): New.
	* sysdeps/unix/sysv/linux/tst-prctl-time64.c: New file.
	* sysdeps/unix/sysv/linux/tst-prctl.c: New file.

2021-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8a40aff86ba5f64a3a84883e539cb67bd48db030
	io: Add time64 alias for fcntl

	* io/Makefile: Modified.
	* io/fcntl.h: Modified.
	[! __USE_FILE_OFFSET64](fcntl): Remove.
	[__USE_FILE_OFFSET64][! __REDIRECT](fcntl): Remove.
	[__USE_FILE_OFFSET64][__REDIRECT](__REDIRECT): Modified.
	[__USE_FILE_OFFSET64][__REDIRECT](__REDIRECT): Modified.
	[__USE_FILE_OFFSET64][__REDIRECT](__REDIRECT): Remove.
	[__USE_LARGEFILE64](fcntl64): Remove.
	[! __USE_TIME_BITS64][! __USE_FILE_OFFSET64](fcntl): New.
	[! __USE_TIME_BITS64][__USE_FILE_OFFSET64][! __REDIRECT](fcntl): New.
	[! __USE_TIME_BITS64][__USE_FILE_OFFSET64][__REDIRECT](__REDIRECT): New.
	[! __USE_TIME_BITS64][__USE_LARGEFILE64](fcntl64): New.
	[__USE_TIME_BITS64][! __REDIRECT](__fcntl_time64): New.
	[__USE_TIME_BITS64][! __REDIRECT](fcntl64): New.
	[__USE_TIME_BITS64][! __REDIRECT](fcntl): New.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT): New.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT): New.
	* io/tst-fcntl-time64.c: New file.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/fcntl64.c: Modified.
	[__TIMESIZE != 64](weak_alias): New.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.

2021-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 82c395d91ea4f69120d453aeec398e3042cad5fc
	misc: Add time64 alias for ioctl

	* misc/Makefile: Modified.
	* misc/sys/ioctl.h: Modified.
	(ioctl): Remove.
	[! __USE_TIME_BITS64](ioctl): New.
	[__USE_TIME_BITS64][! __REDIRECT](__ioctl_time64): New.
	[__USE_TIME_BITS64][! __REDIRECT](ioctl): New.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT): New.
	* misc/tst-ioctl-time64.c: New file.
	* misc/tst-ioctl.c: New file.
	* sysdeps/unix/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/ioctl.c: Modified.
	[__TIMESIZE != 64](weak_alias): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.

2021-07-21  Darius Rad  <darius@bluespec.com>

	COMMIT: 39e8eb597303fb8bea07d87f82f4df1cf1586c1c
	RISC-V: Update rv64 ULPs

	* sysdeps/riscv/rv64/rvd/libm-test-ulps: Modified.

2021-07-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 20be978f05dd0617ae5ba041aafc8abed4c06cb7
	resolv: Do not install libnss_dns.a, libnss_dns.so

	* resolv/Makefile: Modified.

2021-07-19  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ff417d40178b7363b08516091f74c0b6615456ee
	hurd: Add support for spawn_do_closefrom

	* sysdeps/mach/hurd/spawn_int_def.h: New file.
	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.

2021-07-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 469761eac842663365bba3dacd4cdf15a2ae328d
	elf: Fix tst-cpu-features-cpuinfo on some AMD systems (BZ #28090)

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anoymous>): Modified.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_AMD_VIRT_SSBD): New.
	(index_cpu_AMD_VIRT_SSBD): New.
	(reg_AMD_VIRT_SSBD): New.
	* sysdeps/x86/tst-cpu-features-cpuinfo.c: Modified.
	(do_test): Modified function.

2021-07-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 5adb0e14a5cc9e011e58a7aaf193b598ecbd7b07
	i386: Add the clone3 wrapper

	* sysdeps/unix/sysv/linux/i386/clone3.S: New file.
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLONE3_WAPPER): New.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ee5ed99922ca90bcea4a2f9a48a0c9ae4b534ece
	nss: Directly load nss_dns, without going through dlsym/dlopen

	* include/nss_dns.h: Modified.
	(NSS_DECLARE_MODULE_FUNCTIONS): New function.
	* nss/nss_files_functions.c: Modified.
	(__nss_files_functions): Modified function.
	* nss/nss_module.c: Modified.
	(module_load_nss_files): Modified function.
	(module_load): Modified function.
	(nss_dns.h): Include file.
	(sysdep.h): Include file.
	(module_load_builtin): New function.
	(module_load_nss_dns): New function.
	* nss/nss_module.h: Modified.
	(__nss_files_functions): Modified.
	(<anoymous>): New.
	(nss_module_functions_untyped): New.
	* resolv/Makefile: Modified.
	* resolv/nss_dns_functions.c: New file.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e1fcf21474c5b522fdad4ac0191d5dcc3271dba6
	resolv: Move nss_dns into libc

	* include/nss_dns.h: New file.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/nss_dns/dns-canon.c: Modified.
	[!(PACKETSZ > 65536)](querybuf): Remove.
	[PACKETSZ > 65536](querybuf): Remove.
	(qtypes): Modified.
	(nss_dns.h): Include file.
	(querybuf): New.
	(libc_hidden_def): New.
	* resolv/nss_dns/dns-host.c: Modified.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](MAXHOSTNAMELEN): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](querybuf): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](getanswer_r): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](gaih_getanswer): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](gethostbyname3_context): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](rrtype_to_rdata_length): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](_nss_dns_gethostbyname3_r): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](gethostbyname3_context): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](check_name): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](_nss_dns_gethostbyname2_r): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](_nss_dns_gethostbyname_r): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](_nss_dns_gethostbyname4_r): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](_nss_dns_gethostbyaddr2_r): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](hidden_proto): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](_nss_dns_gethostbyaddr2_r): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](hidden_def): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](_nss_dns_gethostbyaddr_r): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](addrsort): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](getanswer_r): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](gaih_getanswer_slice): Remove.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](gaih_getanswer): Remove.
	[!(PACKETSZ > 65536)][MAXHOSTNAMELEN](MAXHOSTNAMELEN): Remove.
	[MAXHOSTNAMELEN](MAXHOSTNAMELEN): New.
	(nss_dns.h): Include file.
	(MAXHOSTNAMELEN): New.
	(querybuf): New.
	(getanswer_r): New function.
	(gaih_getanswer): New function.
	(gethostbyname3_context): New function.
	(rrtype_to_rdata_length): New function.
	(_nss_dns_gethostbyname3_r): New function.
	(libc_hidden_def): New.
	(gethostbyname3_context): New function.
	(check_name): New function.
	(_nss_dns_gethostbyname2_r): New function.
	(libc_hidden_def): New.
	(_nss_dns_gethostbyname_r): New function.
	(libc_hidden_def): New.
	(_nss_dns_gethostbyname4_r): New function.
	(libc_hidden_def): New.
	(_nss_dns_gethostbyaddr2_r): New function.
	(libc_hidden_def): New.
	(_nss_dns_gethostbyaddr_r): New function.
	(libc_hidden_def): New.
	(addrsort): New function.
	(getanswer_r): New function.
	(gaih_getanswer_slice): New function.
	(gaih_getanswer): New function.
	* resolv/nss_dns/dns-network.c: Modified.
	[!(PACKETSZ > 65536)](lookup_method): Remove.
	[PACKETSZ > 65536](lookup_method): Remove.
	(querybuf): Modified.
	(getanswer_r): Modified function.
	(nss_dns.h): Include file.
	(lookup_method): New.
	(libc_hidden_def): New.
	(libc_hidden_def): New.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ea9878ec271c791880fcbbe519d70c42f8113750
	resolv: Move res_query functions into libc

	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/res_query.c: Modified.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](res_query): Remove.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](res_querydomain): Remove.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](res_search): Remove.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](weak_alias): Remove.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](weak_alias): Remove.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](weak_alias): Remove.
	(libresolv_hidden_def): Remove.
	(res_nquery): Remove function.
	(res_query): Remove function.
	(libresolv_hidden_def): Remove.
	(res_nsearch): Remove function.
	(res_search): Remove function.
	(res_nquerydomain): Remove function.
	(res_querydomain): Remove function.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_2, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_2, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_2, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_2, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_2, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_2, GLIBC_2_34)](compat_symbol): New.
	(libc_hidden_def): New.
	(___res_nquery): New function.
	(versioned_symbol): New function.
	(___res_query): New function.
	(versioned_symbol): New function.
	(libc_hidden_def): New.
	(___res_nsearch): New function.
	(versioned_symbol): New function.
	(___res_search): New function.
	(versioned_symbol): New function.
	(___res_nquerydomain): New function.
	(versioned_symbol): New function.
	(___res_querydomain): New function.
	(versioned_symbol): New function.
	* resolv/resolv-internal.h: Modified.
	(libresolv_hidden_proto): Remove.
	(libresolv_hidden_proto): Remove.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* resolv/resolv.h: Modified.
	(res_query): Remove.
	(res_querydomain): Remove.
	(res_search): Remove.
	(res_query): Remove.
	(res_querydomain): Modified.
	(res_search): Remove.
	(res_send): Modified.
	(res_nquery): Remove.
	(res_nquerydomain): Remove.
	(res_nsearch): Remove.
	(res_query): New function.
	(res_search): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 21a497cc58df2b9b02dc687b97f105335e7a1c50
	resolv: Move res_mkquery, res_nmkquery into libc

	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/res_mkquery.c: Modified.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](res_mkquery): Remove.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](weak_alias): Remove.
	(__res_context_mkquery): Modified function.
	(res_nmkquery): Remove function.
	(res_mkquery): Remove function.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_2)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_2, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_2, GLIBC_2_34)](compat_symbol): New.
	(libc_hidden_def): New.
	(___res_nmkquery): New function.
	(versioned_symbol): New function.
	(___res_mkquery): New function.
	(versioned_symbol): New function.
	(libc_hidden_def): New.
	* resolv/resolv-internal.h: Modified.
	(__res_context_mkquery): Modified.
	(libc_hidden_proto): Modified.
	(__res_nopt): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* resolv/resolv.h: Modified.
	(res_mkquery): Remove.
	(res_nmkquery): Remove.
	(res_nmkquery): Remove.
	(res_nsend): Modified.
	(res_nmkquery): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b165c65c35d0fc4d60d63ae101f4edfa21c0d30b
	resolv: Move res_send, res_nsend into libc

	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/res_enable_icmp.c: Modified.
	(__res_enable_icmp): Modified function.
	* resolv/res_send.c: Modified.
	(res_nsend): Remove function.
	(res_send): Remove function.
	(send_vc): Modified function.
	(reopen): Modified function.
	(send_dg): Modified function.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_2, GLIBC_2_34)](compat_symbol): New.
	(libc_hidden_def): New.
	(___res_nsend): New function.
	(versioned_symbol): New function.
	(___res_send): New function.
	(versioned_symbol): New function.
	* resolv/resolv-internal.h: Modified.
	(__res_context_send): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	* resolv/resolv.h: Modified.
	(res_send): Remove.
	(res_nsend): Remove.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 66ac4268f48e4dbcb09b2b6128efa84a6564c1e6
	resolv: Move res_hostalias into its own file, along with hostalias

	* resolv/Makefile: Modified.
	* resolv/res_hostalias.c: New file.
	* resolv/res_query.c: Modified.
	(context_hostalias_common): Remove function.
	(res_hostalias): Remove function.
	(hostalias): Remove function.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: be5773e1668ab62e980b58c68c3ffd0fd65e31af
	resolv: Move __res_context_hostalias into its own file and into libc

	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/res_context_hostalias.c: New file.
	* resolv/res_query.c: Modified.
	(__res_context_hostalias): Remove function.
	(libresolv_hidden_def): Remove.
	* resolv/resolv-internal.h: Modified.
	(libresolv_hidden_proto): Remove.
	(libc_hidden_proto): New function.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7131727c6ba451e1c5bf075194c7adc9292906c4
	resolv: Move res_queriesmatch to its own file and into libc

	* include/resolv.h: Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Remove.
	[_RESOLV_H_ && ! _ISOMAC](__libc_res_queriesmatch): New.
	[_RESOLV_H_ && ! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/res_queriesmatch.c: New file.
	* resolv/res_send.c: Modified.
	(res_queriesmatch): Remove function.
	(libresolv_hidden_def): Remove.
	(send_dg): Modified function.
	* resolv/resolv-deprecated.c: Modified.
	(res_queriesmatch): New function.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 72a51ac647b2fc33a44434d3d125a844801609ae
	resolv: Move res_nameinquery to its own file and into libc

	* include/resolv.h: Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Remove.
	[_RESOLV_H_ && ! _ISOMAC](__libc_res_nameinquery): New.
	[_RESOLV_H_ && ! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/res_nameinquery.c: New file.
	* resolv/res_send.c: Modified.
	(res_nameinquery): Remove function.
	(libresolv_hidden_def): Modified.
	(res_queriesmatch): Modified function.
	(libresolv_hidden_def): Remove.
	* resolv/resolv-deprecated.c: Modified.
	(resolv.h): Include file.
	(res_nameinquery): New function.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 762a2b2d341a9d6a4ea088479616907c5b4e9a7b
	resolv: Move ns_samename into its own file, and into libc

	* include/arpa/nameser.h: Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Remove.
	[! _ISOMAC](__libc_ns_samename): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/ns_print.c: Modified.
	(ns_sprintrrf): Modified function.
	(prune_origin): Modified function.
	* resolv/ns_samedomain.c: Modified.
	(ns_subdomain): Modified function.
	(ns_samename): Remove function.
	(libresolv_hidden_def): Remove.
	* resolv/ns_samename.c: New file.
	* resolv/res_query.c: Modified.
	(__res_context_hostalias): Modified function.
	* resolv/res_send.c: Modified.
	(res_nameinquery): Modified function.
	* resolv/resolv-deprecated.c: Modified.
	(ns_samename): New function.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 08d4a98070c4c4f69c6d04f483d105121effba08
	resolv: Move ns_makecanon into its own file, and into libc

	* include/arpa/nameser.h: Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__libc_ns_makecanon): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/ns_makecanon.c: New file.
	* resolv/ns_samedomain.c: Modified.
	(ns_makecanon): Remove function.
	(libresolv_hidden_def): Modified.
	(ns_samename): Modified function.
	(libresolv_hidden_def): Remove.
	* resolv/resolv-deprecated.c: New file.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 17d0407a5cac70652f3544e59505c1712b36fd1a
	resolv: Move res_isourserver to its own file and reformat to GNU style

	* include/resolv.h: Modified.
	[_RESOLV_H_ && ! _ISOMAC](res_ourserver_p): Remove.
	* resolv/Makefile: Modified.
	* resolv/res_isourserver.c: New file.
	* resolv/res_send.c: Modified.
	(res_ourserver_p): Remove function.
	(res_isourserver): Remove function.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9515126f905d9322fc6d2b1a3d95539a0a499f48
	resolv: Move __res_get_nsaddr to its own file and into libc

	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/res_get_nsaddr.c: New file.
	* resolv/res_send.c: Modified.
	(get_nsaddr): Remove.
	(res_ourserver_p): Modified function.
	(get_nsaddr): Remove function.
	(send_vc): Modified function.
	(reopen): Modified function.
	* resolv/resolv-internal.h: Modified.
	(__res_get_nsaddr): New function.
	(libc_hidden_proto): New.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2fbe5860d33ca2318b35ea6d31beefa381b4ac8a
	resolv: Rename res_comp.c to res-name-checking.c and move into libc

	* include/resolv.h: Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Remove.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Remove.
	[_RESOLV_H_ && ! _ISOMAC](__libc_res_dnok): New.
	[_RESOLV_H_ && ! _ISOMAC](libc_hidden_proto): New.
	[_RESOLV_H_ && ! _ISOMAC](__libc_res_hnok): New.
	[_RESOLV_H_ && ! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/res_comp.c: Move to...
	* resolv/res-name-checking.c: ... here.
	(sys/types.h): Remove include.
	(sys/param.h): Remove include.
	(netinet/in.h): Remove include.
	(ctype.h): Remove include.
	(stdio.h): Remove include.
	(string.h): Remove include.
	(unistd.h): Remove include.
	(res_hnok): Remove function.
	(libresolv_hidden_def): Remove.
	(res_ownok): Remove function.
	(res_mailok): Remove function.
	(res_dnok): Remove function.
	(libresolv_hidden_def): Remove.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_34)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(___res_hnok): New function.
	(versioned_symbol): New function.
	(versioned_symbol): New function.
	(libc_hidden_ver): New.
	(___res_ownok): New function.
	(versioned_symbol): New function.
	(___res_mailok): New function.
	(versioned_symbol): New function.
	(___res_dnok): New function.
	(versioned_symbol): New function.
	(versioned_symbol): New function.
	(libc_hidden_ver): New.
	* resolv/resolv.h: Modified.
	(res_dnok): Remove.
	(res_hnok): Remove.
	(res_mailok): Remove.
	(res_ownok): Remove.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 391e02236b931132c0e8b5ba4c3b087c2aaa1044
	resolv: Move dn_skipname to its own file and into libc

	* include/resolv.h: Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Remove.
	[_RESOLV_H_ && ! _ISOMAC](__libc_dn_skipname): New.
	[_RESOLV_H_ && ! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/dn_skipname.c: New file.
	* resolv/nss_dns/dns-canon.c: Modified.
	(_nss_dns_getcanonname_r): Modified function.
	* resolv/nss_dns/dns-network.c: Modified.
	(getanswer_r): Modified function.
	* resolv/res_comp.c: Modified.
	(dn_skipname): Remove function.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Remove.
	* resolv/resolv.h: Modified.
	(dn_skipname): Remove.
	(dn_skipname): Remove.
	(putlong): Remove.
	(__RESOLV_DEPRECATED_MSG): Modified.
	(__RESOLV_DEPRECATED_MSG): Modified.
	(__RESOLV_DEPRECATED_MSG): Modified.
	(dn_skipname): New function.
	(putlong): New.
	(__RESOLV_DEPRECATED_MSG): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: fd8a87c0c1932de591e7ad108ff6288a4b6b18c9
	resolv: Move dn_comp to its own file and into libc

	* include/resolv.h: Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Remove.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/dn_comp.c: New file.
	* resolv/res_comp.c: Modified.
	(dn_comp): Remove function.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Remove.
	* resolv/resolv.h: Modified.
	(dn_comp): Remove.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7ec366a08a7cec7bd23d6b2a4f7954860e3a16fd
	resolv: Move _getlong, _getshort, __putlong, __putshort to res-putget

	* resolv/Makefile: Modified.
	* resolv/res-putget.c: New file.
	* resolv/res_comp.c: Modified.
	(libresolv_hidden_def): Remove.
	(libresolv_hidden_def): Remove.
	(libresolv_hidden_def): Remove.
	(_getshort): Remove.
	(libresolv_hidden_def): New.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 640bbdf71c6f10ac26252ac67a22902e26657bd8
	resolv: Move dn_expand to its own file and into libc

	* include/resolv.h: Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Modified.
	[_RESOLV_H_ && ! _ISOMAC](libresolv_hidden_proto): Remove.
	[_RESOLV_H_ && ! _ISOMAC](__libc_dn_expand): New.
	[_RESOLV_H_ && ! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/compat-gethnamaddr.c: Modified.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_25)](getanswer): Modified function.
	* resolv/dn_expand.c: New file.
	* resolv/ns_parse.c: Modified.
	(ns_parserr): Modified function.
	* resolv/ns_print.c: Modified.
	(addname): Modified function.
	* resolv/nss_dns/dns-canon.c: Modified.
	(_nss_dns_getcanonname_r): Modified function.
	* resolv/res_comp.c: Modified.
	[SHLIB_COMPAT(libresolv, GLIBC_2_0, GLIBC_2_2)](dn_expand): Remove.
	[SHLIB_COMPAT(libresolv, GLIBC_2_0, GLIBC_2_2)](weak_alias): Remove.
	(dn_expand): Remove function.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Remove.
	(shlib-compat.h): Remove include.
	* resolv/res_debug.c: Modified.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_26)](p_cdnname): Modified function.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_26)](p_fqnname): Modified function.
	* resolv/res_send.c: Modified.
	(res_nameinquery): Modified function.
	(res_queriesmatch): Modified function.
	* resolv/resolv.h: Modified.
	(dn_expand): Remove.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 13e1f86706e463de4429f7e88f47c6ff65cd845e
	resolv: Move ns_name_compress into its own file and into libc

	* include/arpa/nameser.h: Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__ns_name_compress): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/ns_name.c: Modified.
	(ns_name_compress): Remove function.
	(libresolv_hidden_def): Remove.
	* resolv/ns_name_compress.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7ed1ac6da3d6ae5bfbbf4c4bdce07a40e8113df8
	resolv: Move ns_name_pack into its own file and into libc

	* include/arpa/nameser.h: Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__ns_name_pack): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/ns_name.c: Modified.
	(dn_find): Remove.
	(ns_name_pack): Remove function.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Remove.
	(mklower): Remove function.
	(dn_find): Remove function.
	* resolv/ns_name_pack.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 276e9822b3402d49a3c9bea713f89dc855812152
	resolv: Move ns_name_pton into its own file and into libc

	* include/arpa/nameser.h: Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__ns_name_pton): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/ns_name.c: Modified.
	(digits): Remove.
	(ns_name_pton): Remove function.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Remove.
	* resolv/ns_name_pton.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4e1d3db1e86804283cd21f3186e06d397284ac70
	resolv: Move ns_name_uncompress into its own file and into libc

	* include/arpa/nameser.h: Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__ns_name_uncompress): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/ns_name.c: Modified.
	(ns_name_uncompress): Remove function.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Remove.
	* resolv/ns_name_uncompress.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cff2c78c513ef8d51e69a6933f1c6aef8a24a6d6
	resolv: Move ns_name_skip to its own file and into libc (bug 28091)

	* include/arpa/nameser.h: Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__ns_name_skip): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/ns_name.c: Modified.
	(ns_name_skip): Remove function.
	(libresolv_hidden_def): Remove.
	* resolv/ns_name_skip.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 248dbed1187038918d79f62cd9cf631f4150c2a0
	resolv: Deprecate legacy interfaces in libresolv

	* NEWS: Modified.
	* inet/arpa/inet.h: Modified.
	[__USE_MISC](inet_neta): Modified.
	* resolv/arpa/nameser.h: Modified.
	(ns_sprintrr): Remove.
	(ns_sprintrrf): Remove.
	(ns_format_ttl): Remove.
	(ns_parse_ttl): Remove.
	(ns_datetosecs): Remove.
	(ns_samedomain): Remove.
	(ns_subdomain): Remove.
	(ns_makecanon): Remove.
	(ns_samename): Remove.
	[! _LIBC](__NAMESER_DEPRECATED): New.
	[_LIBC](__NAMESER_DEPRECATED): New.
	(__NAMESER_DEPRECATED): New.
	(__NAMESER_DEPRECATED): New.
	(__NAMESER_DEPRECATED): New.
	(__NAMESER_DEPRECATED): New.
	(__NAMESER_DEPRECATED): New.
	(__NAMESER_DEPRECATED): New.
	(__NAMESER_DEPRECATED): New.
	(__NAMESER_DEPRECATED): New.
	(__NAMESER_DEPRECATED): New.
	* resolv/resolv.h: Modified.
	(fp_nquery): Remove.
	(fp_query): Remove.
	(hostalias): Remove.
	(p_query): Remove.
	(res_isourserver): Remove.
	(sym_ston): Remove.
	(sym_ntos): Remove.
	(sym_ntop): Remove.
	(loc_aton): Remove.
	(loc_ntoa): Remove.
	(putlong): Modified.
	(putshort): Remove.
	(p_class): Remove.
	(p_time): Remove.
	(p_type): Remove.
	(p_rcode): Remove.
	(p_cdnname): Remove.
	(p_cdname): Remove.
	(p_fqnname): Remove.
	(p_fqname): Remove.
	(p_option): Remove.
	(dn_count_labels): Remove.
	(res_randomid): Remove.
	(res_nameinquery): Remove.
	(res_queriesmatch): Remove.
	(fp_resstat): Remove.
	(res_nquery): Modified.
	[! _LIBC](__RESOLV_DEPRECATED): New.
	[! _LIBC](__RESOLV_DEPRECATED_MSG): New.
	[_LIBC](__RESOLV_DEPRECATED): New.
	[_LIBC](__RESOLV_DEPRECATED_MSG): New.
	(fp_nquery): New.
	(__RESOLV_DEPRECATED): New.
	(fp_query): New.
	(__RESOLV_DEPRECATED): New.
	(hostalias): New.
	(__RESOLV_DEPRECATED_MSG): New function.
	(p_query): New.
	(__RESOLV_DEPRECATED): New.
	(res_isourserver): New.
	(__RESOLV_DEPRECATED): New.
	(sym_ston): New.
	(__RESOLV_DEPRECATED): New.
	(sym_ntos): New.
	(__RESOLV_DEPRECATED): New.
	(sym_ntop): New.
	(__RESOLV_DEPRECATED): New.
	(loc_aton): New.
	(__RESOLV_DEPRECATED): New.
	(loc_ntoa): New.
	(__RESOLV_DEPRECATED): New.
	(putshort): New.
	(__RESOLV_DEPRECATED_MSG): New function.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED): New.
	(res_randomid): New.
	(__RESOLV_DEPRECATED_MSG): New function.
	(res_nameinquery): New.
	(__RESOLV_DEPRECATED): New.
	(res_queriesmatch): New.
	(__RESOLV_DEPRECATED): New.
	(fp_resstat): New.
	(__RESOLV_DEPRECATED): New.
	(__RESOLV_DEPRECATED_MSG): New function.

2021-07-19  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 191e4068266462e7e4c650fc8ce8e11328a9f4a1
	tst-safe-linking: make false positives even more improbable

	* malloc/tst-safe-linking.c: Modified.
	(check): Modified function.
	(test_tcache): Modified function.
	(test_fastbin): Modified function.
	(test_fastbin_consolidate): Modified function.

2021-07-18  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0b217e5969d08a6fef3d23599385b8e77eedfb18
	htl: Do not expose pthread hidden proto outside libpthread

	* sysdeps/htl/pthreadP.h: Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): New.
	[IS_IN (libpthread)](hidden_proto): New.
	[IS_IN (libpthread)](hidden_proto): New.
	(hidden_proto): Remove.
	(hidden_proto): Remove.
	(hidden_proto): Remove.

2021-07-16  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 881b68e45c3a518319dcf5a3c4a2b3ec59e1c1e5
	elf: Fix a wrong array access on tst-tls20

	* elf/tst-tls20.c: Modified.
	(do_test_dependency): Modified function.
	(do_test_invalid_dependency): Modified function.

2021-07-15  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3a0253ac6f5c0caf5324077673b936e917ca8b0f
	elf: Add -Wl,--no-as-needed for tst-tls-manydynamic*mod-dep-bad.so (BZ #28089)

	* elf/Makefile: Modified.

2021-07-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 820bb23ff074db8255217ab01b51f28c96ec76a9
	resolv: Move ns_name_unpack to its own file and into libc

	* include/arpa/nameser.h: Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Remove.
	[! _ISOMAC](__ns_name_unpack): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/ns_name.c: Modified.
	(ns_name_unpack): Remove function.
	(libresolv_hidden_def): Modified.
	(strong_alias): Remove.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Remove.
	* resolv/ns_name_unpack.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ee3639e0fe61a3692adf660e04f9e6d56475ff52
	resolv: Remove unnecessary res_isourserver_p call from send_dg

	* resolv/res_send.c: Modified.
	(send_dg): Modified function.

2021-07-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: adcc572a29169e5b571ab06b1a5bf941985d8fe6
	resolv: Move ns_name_ntop to its own file and into libc

	* include/arpa/nameser.h: Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Modified.
	[! _ISOMAC](libresolv_hidden_proto): Remove.
	[! _ISOMAC](__ns_name_ntop): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.
	* resolv/ns_name.c: Modified.
	(special): Remove.
	(printable): Remove.
	(ns_name_ntop): Remove function.
	(libresolv_hidden_def): Modified.
	(strong_alias): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(strong_alias): Remove.
	(libresolv_hidden_def): Modified.
	(ns_name_uncompress): Modified function.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Modified.
	(libresolv_hidden_def): Remove.
	(special): Remove function.
	(printable): Remove function.
	* resolv/ns_name_ntop.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libresolv.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libresolv.abilist: Modified.

2021-07-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2ff32dd4926c7ec3bb6c09b58a12a8e828a4cc58
	nss_dns: Do not use deprecated packet parsing functions

	* resolv/nss_dns/dns-canon.c: Modified.
	(_nss_dns_getcanonname_r): Modified function.
	* resolv/nss_dns/dns-host.c: Modified.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](getanswer_r): Modified function.
	[!(PACKETSZ > 65536)][! MAXHOSTNAMELEN](gaih_getanswer_slice): Modified function.

2021-07-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 389c1114d122d78fcf2d4d08ffd6335853c8adef
	resolv: Sort Makefile routines and Versions lexicographically

	* resolv/Makefile: Modified.
	* resolv/Versions: Modified.

2021-07-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b8f889064d02cedc90a109848190207a767a4913
	socket: Add hidden prototype for setsockopt

	* include/sys/socket.h: Modified.
	[! _ISOMAC](__setsockopt): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	* sysdeps/mach/hurd/setsockopt.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/unix/sysv/linux/setsockopt.c: Modified.
	(setsockopt): Remove function.
	(weak_alias): Modified.
	(__setsockopt): New function.
	(libc_hidden_def): New.

2021-07-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ba33937be210da5d07f7f01709323743f66011ce
	elf: Fix DTV gap reuse logic (BZ #27135)

	* elf/Makefile: Modified.
	* elf/dl-close.c: Modified.
	(remove_slotinfo): Modified function.
	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	* elf/dl-open.c: Modified.
	(_dl_open): Modified function.
	* elf/dl-tls.c: Modified.
	(_dl_next_tls_modid): Remove function.
	(_dl_assign_tls_modid): New function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* elf/tst-tls20.c: Modified.
	(access): Modified function.
	(start): Modified function.
	(do_test): Modified function.
	(array_length.h): Include file.
	(support/test-driver.h): Include file.
	(access_mod): New function.
	(access_dep): New function.
	(start_args): New.
	(do_test_no_depedency): New function.
	(nmodules): New function.
	(is_mod_set): New function.
	(print_gap): New function.
	(do_test_dependency): New function.
	(do_test_invalid_dependency): New function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_next_tls_modid): Remove.
	[IS_IN (rtld)](_dl_assign_tls_modid): New function.

2021-07-14  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 0e1f068108d94576321bbbd354cfb1b3b99389bf
	Fix linknamespace errors and local-plt-usages in nss_files.

	* nss/nss_files/files-alias.c: Modified.
	(get_next_alias): Modified function.
	* nss/nss_files/files-initgroups.c: Modified.
	(_nss_files_initgroups_dyn): Modified function.
	* nss/nss_files/files-netgrp.c: Modified.
	(libc_hidden_proto): Modified function.
	* nss/nss_readline.c: Modified.
	(__nss_readline): Modified function.

2021-07-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 84d40d702fb094dda8fb8b7fd4d8042b03ac23ac
	Add static tests for __clone_internal

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-align-clone-internal.c: New file.
	* sysdeps/unix/sysv/linux/tst-clone2-internal.c: New file.
	* sysdeps/unix/sysv/linux/tst-clone3-internal.c: New file.
	* sysdeps/unix/sysv/linux/tst-getpid1-internal.c: New file.
	* sysdeps/unix/sysv/linux/tst-misalign-clone-internal.c: New file.

2021-07-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 24c78e2c759f278ced4256dfe9d88af06af81743
	x86-64: Add the clone3 wrapper

	* sysdeps/unix/sysv/linux/x86_64/clone3.S: New file.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLONE3_WAPPER): New.

2021-07-14  H.J. Lu  <hjl.tools@gmail.com>
            Matthew Denton  <mpdenton@chromium.org>

	COMMIT: d8ea0d0168b190bdf138a20358293c939509367f
	Add an internal wrapper for clone, clone2 and clone3

	* include/clone_internal.h: New file.
	* nptl/allocatestack.c: Modified.
	[! NEED_SEPARATE_REGISTER_STACK](STACK_VARIABLES): Remove.
	[! NEED_SEPARATE_REGISTER_STACK](STACK_VARIABLES_ARGS): Remove.
	[! NEED_SEPARATE_REGISTER_STACK](STACK_VARIABLES_PARMS): Remove.
	[! NEED_SEPARATE_REGISTER_STACK](ALLOCATE_STACK_PARMS): Remove.
	[! NEED_SEPARATE_REGISTER_STACK](ALLOCATE_STACK): Remove.
	[NEED_SEPARATE_REGISTER_STACK](STACK_VARIABLES): Remove.
	[NEED_SEPARATE_REGISTER_STACK](STACK_VARIABLES_ARGS): Remove.
	[NEED_SEPARATE_REGISTER_STACK](STACK_VARIABLES_PARMS): Remove.
	[NEED_SEPARATE_REGISTER_STACK](ALLOCATE_STACK_PARMS): Remove.
	[NEED_SEPARATE_REGISTER_STACK](ALLOCATE_STACK): Remove.
	(allocate_stack): Modified function.
	* nptl/pthread_create.c: Modified.
	(create_thread): Modified function.
	(__pthread_create_2_1): Modified function.
	(clone_internal.h): Include file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/clone-internal.c: New file.
	* sysdeps/unix/sysv/linux/clone3.c: New file.
	* sysdeps/unix/sysv/linux/clone3.h: New file.
	* sysdeps/unix/sysv/linux/spawni.c: Modified.
	[! __ia64__](CLONE): Remove.
	[_STACK_GROWS_DOWN](STACK): Remove.
	[_STACK_GROWS_UP ||  (__ia64__)](STACK): Remove.
	[__ia64__](CLONE): Remove.
	(__spawnix): Modified function.
	(clone_internal.h): Include file.

2021-07-14  Cooper Qu  <cooper.qu@linux.alibaba.com>

	COMMIT: 135425a1dd50cbe2b9db0628d6c2b36c7889f30b
	nss: Fix build error with --disable-nscd

	* nss/nss_module.c: Modified.
	(module_load_nss_files): Modified function.

2021-07-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d7fe71d8424e2eb6230f264d30323a696cf54114
	htl: Fix linking static examples against libpthread

	* sysdeps/htl/Makeconfig: Modified.

2021-07-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c27bcc95880934481fc1a128486e93447de6a0dd
	htl: Let libc call __pthread_mutex_{,try,un}lock

	* htl/Versions: Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(hidden_proto): New.
	(hidden_proto): New.
	(hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-mutex-lock.c: Modified.
	(hidden_def): New.
	* sysdeps/mach/hurd/htl/pt-mutex-trylock.c: Modified.
	(hidden_def): New.
	* sysdeps/mach/hurd/htl/pt-mutex-unlock.c: Modified.
	(hidden_def): New.

2021-07-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9ed752af8d6581efec4a4ca9e67b06fa7e7e763a
	posix: Ignore non opened files on tst-spawn5

	* posix/tst-spawn5.c: Modified.
	(handle_restart): Modified function.
	(spawn_closefrom_test): Modified function.
	(do_test): Modified function.
	(parse_fd): New function.

2021-07-12  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 84ea6ea24bd5bef674ce16a2832dbbe4d514e6d9
	mcheck: Align struct hdr to MALLOC_ALIGNMENT bytes [BZ #28068]

	* malloc/Makefile: Modified.
	* malloc/mcheck.c: Modified.
	[! _MALLOC_INTERNAL](malloc-size.h): Include file.
	(hdr): Modified.
	* sysdeps/i386/Makefile: Modified.
	* sysdeps/x86_64/x32/Makefile: Modified.

2021-07-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Florian Weimer  <fweimer@redhat.com>

	COMMIT: 72e84d1db22203e01a43268de71ea8669eca2863
	Linux: Use 32-bit vDSO for clock_gettime, gettimeofday, time (BZ# 28071)

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/clock_gettime.c: Modified.
	(__clock_gettime64): Modified function.
	* sysdeps/unix/sysv/linux/tst-clock_gettime-clobber.c: New file.
	* sysdeps/unix/sysv/linux/tst-gettimeofday-clobber.c: New file.
	* sysdeps/unix/sysv/linux/tst-time-clobber.c: New file.

2021-07-12  Florian Weimer  <fweimer@redhat.com>

	COMMIT: aaacde11f2e814814fdd19dfb683e76f1dede4d5
	Reduce <limits.h> pollution due to dynamic PTHREAD_STACK_MIN

	* include/bits/local_lim.h: Delete file.
	* nptl/tst-minstack-exit.c: Modified.
	(__SC_THREAD_STACK_MIN_VALUE): New.
	* sysdeps/nptl/pthread.h: Modified.
	[__USE_MISC](bits/pthread_stack_min-dynamic.h): New.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/bits/local_lim.h: Modified.
	[!(__USE_DYNAMIC_STACK_SIZE && __USE_DYNAMIC_STACK_SIZE)](bits/pthread_stack_min.h): Remove.
	[__USE_DYNAMIC_STACK_SIZE && __USE_DYNAMIC_STACK_SIZE](unistd.h): Remove.
	[__USE_DYNAMIC_STACK_SIZE && __USE_DYNAMIC_STACK_SIZE](PTHREAD_STACK_MIN): Remove.
	(PTHREAD_STACK_MIN): Remove.
	(bits/pthread_stack_min-dynamic.h): Include file.
	* sysdeps/unix/sysv/linux/bits/pthread_stack_min-dynamic.h: New file.
	* sysdeps/unix/sysv/linux/include/bits/pthread_stack_min-dynamic.h: New file.

2021-07-12  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 8235f9311bddbe4cf8ff1fa8f72f41aa77e27e00
	Fix failing nss/tst-nss-files-hosts-long.

	* nss/tst-reload1.root/postclean.req: New file.

2021-07-12  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 70099c7763b8c47a4bb1eef1c41601c602a83270
	nis: nis_local_group may read from __nisgroup[-1] (bug 28075)

	* nis/nis_local_names.c: Modified.
	(nis_local_group): Modified function.

2021-07-11  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 83b7008e11f6d149f1926970b7c21cc50ce536ed
	hurd _Fork: Drop duplicate malloc_fork_lock calls

	* sysdeps/mach/hurd/_Fork.c: Modified.
	(_Fork): Modified function.

2021-07-11  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 17cef890c95a71671ec80b1daac88aef7ca46a90
	support: Replace _SC_MINSIGSTKSZ with _SC_SIGSTKSZ

	* support/support_stack_alloc.c: Modified.
	(support_stack_alloc): Modified function.

2021-07-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 28d07380c2ae5786e242be336ccc1c9e3111f3fa
	support: Replace MINSIGSTKSZ with sysconf (_SC_MINSIGSTKSZ)

	* support/support_stack_alloc.c: Modified.
	(support_stack_alloc): Modified function.

2021-07-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 5d98a7dae955bafa6740c26eaba9c86060ae0344
	Define PTHREAD_STACK_MIN to sysconf(_SC_THREAD_STACK_MIN)

	* NEWS: Modified.
	* include/bits/local_lim.h: New file.
	* include/features.h: Modified.
	[_GNU_SOURCE](_SC_SIGSTKSZ_SOURCE): Remove.
	[_GNU_SOURCE](_DYNAMIC_STACK_SIZE_SOURCE): New.
	[_SC_SIGSTKSZ_SOURCE](__USE_SC_SIGSTKSZ): Remove.
	(__USE_SC_SIGSTKSZ): Remove.
	[_DYNAMIC_STACK_SIZE_SOURCE](__USE_DYNAMIC_STACK_SIZE): New.
	(__USE_DYNAMIC_STACK_SIZE): New.
	* manual/creature.texi: Modified.
	* nptl/tst-context1.c: Modified.
	(ctx): Modified.
	(fct): Modified function.
	(tf): Modified function.
	(do_test): Modified function.
	(support/support.h): Include file.
	(stacks): New.
	(stack_size): New.
	* stdlib/test-atexit-race-common.c: Modified.
	(kStacksize): Remove.
	(do_test): Modified function.
	* support/support_path_support_time64.c: Modified.
	(unistd.h): Include file.
	* sysdeps/posix/sysconf-pthread_stack_min.h: New file.
	* sysdeps/posix/sysconf.c: Modified.
	(__sysconf): Modified function.
	(sysconf-pthread_stack_min.h): Include file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/bits/local_lim.h: Delete file.
	* sysdeps/unix/sysv/linux/aarch64/bits/pthread_stack_min.h: New file.
	* sysdeps/unix/sysv/linux/alpha/bits/local_lim.h: Delete file.
	* sysdeps/unix/sysv/linux/alpha/bits/pthread_stack_min.h: New file.
	* sysdeps/unix/sysv/linux/bits/local_lim.h: Modified.
	(PTHREAD_STACK_MIN): Modified.
	[!(__USE_DYNAMIC_STACK_SIZE && __USE_DYNAMIC_STACK_SIZE)](bits/pthread_stack_min.h): New.
	[__USE_DYNAMIC_STACK_SIZE && __USE_DYNAMIC_STACK_SIZE](unistd.h): New.
	[__USE_DYNAMIC_STACK_SIZE && __USE_DYNAMIC_STACK_SIZE](PTHREAD_STACK_MIN): New.
	* sysdeps/unix/sysv/linux/bits/pthread_stack_min.h: New file.
	* sysdeps/unix/sysv/linux/bits/sigstksz.h: Modified.
	[__USE_SC_SIGSTKSZ && __USE_SC_SIGSTKSZ](unistd.h): Remove.
	[__USE_SC_SIGSTKSZ && __USE_SC_SIGSTKSZ](SIGSTKSZ): Remove.
	[__USE_SC_SIGSTKSZ && __USE_SC_SIGSTKSZ](MINSIGSTKSZ): Remove.
	[__USE_DYNAMIC_STACK_SIZE && __USE_DYNAMIC_STACK_SIZE](unistd.h): New.
	[__USE_DYNAMIC_STACK_SIZE && __USE_DYNAMIC_STACK_SIZE](SIGSTKSZ): New.
	[__USE_DYNAMIC_STACK_SIZE && __USE_DYNAMIC_STACK_SIZE](MINSIGSTKSZ): New.
	* sysdeps/unix/sysv/linux/ia64/bits/local_lim.h: Delete file.
	* sysdeps/unix/sysv/linux/ia64/bits/pthread_stack_min.h: New file.
	* sysdeps/unix/sysv/linux/mips/bits/local_lim.h: Delete file.
	* sysdeps/unix/sysv/linux/mips/bits/pthread_stack_min.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/bits/local_lim.h: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/bits/pthread_stack_min.h: New file.
	* sysdeps/unix/sysv/linux/sparc/bits/local_lim.h: Delete file.
	* sysdeps/unix/sysv/linux/sparc/bits/pthread_stack_min.h: New file.
	* sysdeps/unix/sysv/linux/sysconf-pthread_stack_min.h: New file.

2021-07-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7c241325d67af9e24ff03d4c6f6280c17ea181f8
	Force building with -fno-common

	* Makeconfig: Modified.
	* csu/libc-start.c: Modified.
	[! SHARED][! THREAD_SET_POINTER_GUARD](__pointer_chk_guard_local): Modified.
	* elf/dl-support.c: Modified.
	[!HAVE_TUNABLES](_dl_hwcap_mask): Modified.
	(_dl_hwcap): Modified.
	(_dl_hwcap2): Modified.
	* elf/rtld.c: Modified.
	(__pointer_chk_guard_local): Modified.
	* include/shlib-compat.h: Modified.
	* malloc/malloc.c: Modified.
	[HAVE_MALLOC_INIT_HOOK](void): Remove.
	[HAVE_MALLOC_INIT_HOOK](__malloc_initialize_hook): New.
	* malloc/mtrace.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_34)](mallwatch): Modified.
	* misc/regexp.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_23)](loc1): Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_23)](loc2): Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_23)](locs): Modified.
	* nptl/libc_multiple_threads.c: Modified.
	[IS_IN (libc)][! TLS_MULTIPLE_THREADS_IN_TCB](__libc_multiple_threads): Modified.
	* nptl/lowlevellock.c: Modified.
	[ENABLE_ELISION_SUPPORT](__pthread_force_elision): Modified.
	* nptl/pthread_create.c: Modified.
	(__nptl_threads_events): Modified.
	(__nptl_last_event): Modified.
	* nptl/pthread_keys.c: Modified.
	(__pthread_keys): Modified.
	* nptl/vars.c: Modified.
	(__default_pthread_attr): Modified.
	(__default_pthread_attr_lock): Modified.
	* resolv/res_libc.c: Modified.
	(_res): Modified.
	* stdlib/abort.c: Modified.
	(__abort_msg): Modified.
	* sunrpc/key_call.c: Modified.
	[! SO_PASSCRED](key_call_keyenvoy): New function.
	[SHARED][! EXPORT_RPC_SYMBOLS](compat_symbol): Modified.
	[SHARED][EXPORT_RPC_SYMBOLS][! SO_PASSCRED](key_call_keyenvoy): Remove.
	[SHARED][EXPORT_RPC_SYMBOLS][SO_PASSCRED](key_call_private): Remove.
	[SHARED][EXPORT_RPC_SYMBOLS](key_call_private): Remove.
	[SHARED][EXPORT_RPC_SYMBOLS](key_call_private_main): Remove.
	[SHARED][EXPORT_RPC_SYMBOLS](__libc_lock_define_initialized): Remove.
	[SHARED][EXPORT_RPC_SYMBOLS](key_call_socket): Remove.
	[SHARED][EXPORT_RPC_SYMBOLS](key_call): Remove.
	[SHARED][EXPORT_RPC_SYMBOLS](__rpc_thread_key_cleanup): Remove.
	(__key_encryptsession_pk_LOCAL): New.
	(__key_decryptsession_pk_LOCAL): New.
	(__key_gendes_LOCAL): New.
	(key_call_private): New.
	(key_call_private_main): New.
	(__libc_lock_define_initialized): New function.
	(key_call_socket): New function.
	(key_call): New function.
	(__rpc_thread_key_cleanup): New function.
	* sunrpc/rpc_common.c: Modified.
	(_null_auth): Modified.
	(svc_fdset): Modified.
	(rpc_createerr): Modified.
	(svc_pollfd): Modified.
	(svc_max_pollfd): Modified.
	* sunrpc/svcauth_des.c: Modified.
	(svcauthdes_stats): Modified.
	* sysdeps/nptl/dl-tls_init_tp.c: Modified.
	[! __ASSUME_SET_ROBUST_LIST](__nptl_set_robust_list_avail): Modified.
	(__nptl_initial_report_events): Modified.
	* sysdeps/powerpc/nofpu/sim-full.c: Modified.
	[SIM_GLOBAL_COMPAT](__sim_exceptions_global): Modified.
	[SIM_GLOBAL_COMPAT](__sim_round_mode_global): Modified.
	(__sim_exceptions_thread): Modified.
	(__sim_round_mode_thread): Modified.
	* sysdeps/unix/sysv/linux/timer_routines.c: Modified.
	(__timer_helper_once): Modified.
	(__timer_helper_tid): Modified.

2021-07-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: dc76a059fded7a203c82dbb91d4fc1f43d3250db
	Add a generic malloc test for MALLOC_ALIGNMENT

	* malloc/Makefile: Modified.
	* malloc/malloc-internal.h: Modified.
	[! INTERNAL_SIZE_T](INTERNAL_SIZE_T): Remove.
	(SIZE_SZ): Remove.
	(MALLOC_ALIGN_MASK): Remove.
	(malloc-size.h): Include file.
	* sysdeps/x86_64/tst-mallocalign1.c: Move to...
	* malloc/tst-mallocalign1.c: ... here.
	(ALIGN_MASK): Remove.
	(test): Modified function.
	(do_test): Modified function.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(inttypes.h): Include file.
	(malloc-size.h): Include file.
	(support/test-driver.c): Include file.
	* sysdeps/generic/malloc-machine.h: Modified.
	(malloc-alignment.h): Remove include.
	* sysdeps/generic/malloc-size.h: New file.
	* sysdeps/i386/Makefile: Modified.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/x32/Makefile: Modified.

2021-07-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0ec97597c859ac6a69733cf70c6bd6fc809dcc4b
	Properly run tst-spawn5 directly [BZ #28067]

	* posix/tst-spawn5.c: Modified.
	(spawn_closefrom_test): Modified function.
	(do_test): Modified function.
	(initial_argv_count): New.

2021-07-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1e5235c5618b60fb196afb292ea88578577e8bc5
	build-many-glibcs.py: Add glibcs-arm-linux-gnueabihf-thumb

	* scripts/build-many-glibcs.py: Modified.

2021-07-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 508ee037a30f1d4f6a1f8de2bd0d9866d4684625
	nptl: Use out-of-line wake function in __libc_lock_unlock slow path

	* nptl/Versions: Modified.
	* nptl/lowlevellock.c: Modified.
	(__lll_lock_wake_private): New function.
	(libc_hidden_def): New.
	(__lll_lock_wake): New function.
	(libc_hidden_def): New.
	* sysdeps/nptl/lowlevellock.h: Modified.
	[ENABLE_ELISION_SUPPORT](__pthread_force_elision): Modified.
	(__lll_unlock): Modified.
	(libc_hidden_proto): New function.
	(libc_hidden_proto): New.
	(__lll_lock_wake): New function.

2021-07-08  Anton Blanchard  <anton@ozlabs.org>

	COMMIT: 01d780628278972cfa3630feeb74d7861b0fd5fc
	powerpc64le: Fix typo in configure

	* sysdeps/powerpc/powerpc64/le/configure: Modified.
	* sysdeps/powerpc/powerpc64/le/configure.ac: Modified.

2021-07-08  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: 20f0491c675c19add0b4f44fce960d65eb44ef9b
	powerpc64: Remove strcspn ifunc from the loader

	* sysdeps/powerpc/powerpc64/multiarch/rtld-strcspn.c: New file.

2021-07-08  Noah Goldstein  <goldstein.w.n@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 0679442defedf7e52a94264975880ab8674736b2
	x86: Remove wcsnlen-sse4_1 from wcslen ifunc-impl-list [BZ #28064]

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.

2021-07-08  H.J. Lu  <hjl.tools@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: a6e7c3745d73ff876b4ba6991fb00768a938aef5
	x86-64: Test strlen and wcslen with 0 in the RSI register [BZ #28064]

	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/tst-rsi-strlen.c: New file.
	* sysdeps/x86_64/tst-rsi-wcslen.c: New file.

2021-07-08  Fangrui Song  <maskray@google.com>

	COMMIT: 115d242456de158e698ffb0f9a5fee3118e9e825
	x86_64: Remove unneeded static PIE check for undefined weak diagnostic

	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/configure.ac: Modified.

2021-07-08  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: bba4383c6b4db09c84c7a194b5e80978e6c44ee5
	Add NT_ARM_PAC_ENABLED_KEYS to elf.h

	* elf/elf.h: Modified.
	(NT_ARM_PAC_ENABLED_KEYS): New.

2021-07-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 882d6e17bc44db687c8de9b357e5ce6c6d501f28
	posix: Add posix_spawn_file_actions_addclosefrom_np

	* NEWS: Modified.
	* include/unistd.h: Modified.
	[! _ISOMAC](__closefrom_fallback): Modified.
	* posix/Makefile: Modified.
	* posix/Versions: Modified.
	* posix/spawn.h: Modified.
	[__USE_GNU](posix_spawn_file_actions_addclosefrom_np): New function.
	* posix/spawn_faction_addclosefrom.c: New file.
	* posix/spawn_faction_destroy.c: Modified.
	(__posix_spawn_file_actions_destroy): Modified function.
	* posix/spawn_int.h: Modified.
	(__spawn_action): Modified.
	(spawn_int_def.h): Include file.
	* posix/tst-spawn5.c: New file.
	* sysdeps/generic/spawn_int_def.h: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.
	* sysdeps/posix/spawni.c: Modified.
	(__spawni_child): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/closefrom.c: Modified.
	(__closefrom): Modified function.
	(stdbool.h): Include file.
	* sysdeps/unix/sysv/linux/closefrom_fallback.c: Modified.
	(__closefrom_fallback): Modified function.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/spawn_int_def.h: New file.
	* sysdeps/unix/sysv/linux/spawni.c: Modified.
	(fcntl.h): Remove include.
	(string.h): Remove include.
	(sys/wait.h): Remove include.
	(sys/param.h): Remove include.
	(sys/mman.h): Remove include.
	(pthreadP.h): Remove include.
	(dl-sysdep.h): Remove include.
	(libc-pointer-arith.h): Remove include.
	(spawn_int.h): Modified.
	(__spawni_child): Modified function.
	(internal-signals.h): Include file.
	(sysdep.h): Include file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2021-07-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 607449506f197cc9514408908f41f22537a47a8c
	io: Add closefrom [BZ #10353]

	* NEWS: Modified.
	* include/unistd.h: Modified.
	[! _ISOMAC](__closefrom_fallback): New function.
	* io/Makefile: Modified.
	* io/Versions: Modified.
	* io/closefrom.c: New file.
	* io/tst-closefrom.c: New file.
	* manual/llio.texi: Modified.
	* posix/unistd.h: Modified.
	[__USE_MISC](closefrom): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/closefrom.c: New file.
	* sysdeps/unix/sysv/linux/closefrom_fallback.c: New file.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2021-07-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 286286283e9bdc7ef894306e2dbcf4c115b97ba2
	linux: Add close_range

	* NEWS: Modified.
	* include/bits/unistd_ext.h: New file.
	* manual/llio.texi: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/bits/unistd_ext.h: Modified.
	[__USE_GNU][! CLOSE_RANGE_CLOEXEC](CLOSE_RANGE_CLOEXEC): New.
	[__USE_GNU][! CLOSE_RANGE_UNSHARE](CLOSE_RANGE_UNSHARE): New.
	[__USE_GNU][__has_include][__has_include ("linux/close_range.h")](linux/close_range.h): New.
	[__USE_GNU](close_range): New function.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-close_range.c: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2021-07-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ae8c243d2473bdfc3c0f9c6b46e6dffb5a28725c
	support: Add support_stack_alloc

	* support/Makefile: Modified.
	* support/support.h: Modified.
	(support_stack): New.
	(support_stack_alloc): New function.
	(support_stack_free): New function.
	* support/support_stack_alloc.c: New file.
	* support/xsigstack.c: Modified.
	(sigstack_desc): Modified.
	(xalloc_sigstack): Modified function.
	(xfree_sigstack): Modified function.

2021-07-08  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 79969f41a7caf9a503a04b78653db971918afa26
	_int_realloc is static

	* malloc/malloc.c: Modified.
	(_int_realloc): Modified function.

2021-07-08  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: b8a19968b0ad928772ab282133a9374d135f7438
	Move mcheck symbol from stdlib to malloc

	* malloc/Versions: Modified.
	* stdlib/Versions: Modified.

2021-07-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9ed48feed8c268e98baf00f3608d85dafb8215f3
	nss: Do not install static linker input files for libnss_files

	* nss/Makefile: Modified.

2021-07-08  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 5ceb1630bdb2302f927fabb812252a6d88168918
	elf/tests: Make thrlock and noload depend on libm

	* elf/Makefile: Modified.

2021-07-08  Siddhesh Poyarekar  <siddhesh@sourceware.org>
            Eyal Itkin  <eyalit@checkpoint.com>

	COMMIT: fc859c304898a5ec72e0ba5269ed136ed0ea10e1
	Harden tcache double-free check

	* malloc/arena.c: Modified.
	(ptmalloc_init): Modified function.
	[USE_TCACHE](tcache_key_initialize): New.
	* malloc/malloc.c: Modified.
	[USE_TCACHE](tcache_entry): Modified.
	[USE_TCACHE](void): Modified.
	[USE_TCACHE](tcache_put): Modified function.
	[USE_TCACHE](tcache_get): Modified function.
	[USE_TCACHE](void): Modified.
	[USE_TCACHE](tcache_key): New.
	[USE_TCACHE](tcache_key_initialize): New function.
	[USE_TCACHE](void): New.
	(_int_free): Modified function.
	(random-bits.h): Include file.
	(sys/random.h): Include file.

2021-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f9c8b11ed7726b858cd7b7cea0d3d7c5233d78cf
	nss: Access nss_files through direct references

	* include/nss_files.h: Modified.
	(nss.h): Include file.
	(DEFINE_NSS_FUNCTION): New.
	(nss/function.def): Include file.
	(DEFINE_NSS_FUNCTION): New.
	(NSS_DECLARE_MODULE_FUNCTIONS): New function.
	(libc_hidden_proto): New.
	* nss/Makefile: Modified.
	* nss/nss_files/files-XXX.c: Modified.
	(DB_LOOKUP): Modified.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	* nss/nss_files/files-alias.c: Modified.
	(NSS_DECLARE_MODULE_FUNCTIONS): Remove function.
	(internal_setent): New function.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	* nss/nss_files/files-ethers.c: Modified.
	(etherent_data): Modified.
	* nss/nss_files/files-grp.c: Modified.
	(grent_data): Modified.
	* nss/nss_files/files-hosts.c: Modified.
	(hostent_data): Modified.
	(_nss_files_gethostbyname_r): Modified function.
	(_nss_files_gethostbyname3_r): Remove.
	(_nss_files_gethostbyname2_r): Modified function.
	(_nss_files_gethostbyname3_r): Remove.
	(_nss_files_gethostbyname4_r): Modified function.
	(stream): Remove.
	(status): Remove.
	(status): Remove.
	(got_canon): Remove.
	(pad): Remove.
	(pad): Remove.
	(buflen): Remove.
	(result): Remove.
	(status): Remove.
	(break): Remove.
	(naliases): Remove.
	(if): Remove function.
	(naliases): Remove.
	(bufferend): Remove.
	(assert): Remove.
	(buffer): Remove.
	(buffer): Remove.
	(any): Remove.
	(h_addr_list): Remove.
	(pat): Remove.
	(pad): Remove.
	(buflen): Remove.
	(if): Remove function.
	(pat): Remove.
	(sizeof): Remove.
	(sizeof): Remove.
	(next): Remove.
	(name): Remove.
	(got_canon): Remove.
	(family): Remove.
	(scopeid): Remove.
	(pat): Remove.
	(break): Remove.
	(status): Remove.
	(status): Remove.
	(fclose): Remove.
	(status): Remove.
	(herrnop): Remove.
	(errnop): Remove.
	(herrnop): Remove.
	(status): Remove.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	* nss/nss_files/files-init.c: Modified.
	(NSS_DECLARE_MODULE_FUNCTIONS): Remove function.
	(nss_files.h): Include file.
	(register_file): New function.
	(libc_hidden_def): New.
	* nss/nss_files/files-initgroups.c: Modified.
	(NSS_DECLARE_MODULE_FUNCTIONS): Remove function.
	(_nss_files_initgroups_dyn): New function.
	(libc_hidden_def): New.
	* nss/nss_files/files-netgrp.c: Modified.
	(NSS_DECLARE_MODULE_FUNCTIONS): Remove function.
	(libc_hidden_def): Modified.
	(libc_hidden_def): Modified.
	(libc_hidden_proto): New function.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	* nss/nss_files/files-network.c: Modified.
	(nss_files.h): Remove include.
	* nss/nss_files/files-proto.c: Modified.
	(protoent_data): Modified.
	* nss/nss_files/files-pwd.c: Modified.
	(pwent_data): Modified.
	* nss/nss_files/files-rpc.c: Modified.
	(rpcent_data): Modified.
	* nss/nss_files/files-service.c: Modified.
	(servent_data): Modified.
	* nss/nss_files/files-sgrp.c: Modified.
	(sgent_data): Modified.
	* nss/nss_files/files-spwd.c: Modified.
	(spent_data): Modified.
	* nss/nss_files_functions.c: New file.
	* nss/nss_module.c: Modified.
	(module_load): Modified function.
	(__nss_module_freeres): Modified function.
	(nss_files.h): Include file.
	(module_load_nss_files): New function.
	* nss/nss_module.h: Modified.
	(nss_module_state): Modified.
	(__nss_files_functions): New function.

2021-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6212bb67f4695962748a5981e1b9fea105af74f6
	nss_files: Move into libc

	* include/libc-symbols.h: Modified.
	[! _ISOMAC][!(IS_IN (libnss_files))](libnss_files_hidden_proto): Remove.
	[! _ISOMAC][!(IS_IN (libnss_files))](libnss_files_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libnss_files))](libnss_files_hidden_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_files))](libnss_files_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (libnss_files))](libnss_files_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (libnss_files))](libnss_files_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_files))](libnss_files_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_files))](libnss_files_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libnss_files))](libnss_files_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libnss_files)](libnss_files_hidden_proto): Remove.
	[! _ISOMAC][IS_IN (libnss_files)](libnss_files_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libnss_files)](libnss_files_hidden_def): Remove.
	[! _ISOMAC][IS_IN (libnss_files)](libnss_files_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (libnss_files)](libnss_files_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (libnss_files)](libnss_files_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (libnss_files)](libnss_files_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libnss_files)](libnss_files_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libnss_files)](libnss_files_hidden_data_ver): Remove.
	* include/netdb.h: Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): New.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): New.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): New.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): New.
	* include/nss_files.h: Modified.
	(libnss_files_hidden_proto): Remove.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(__nss_fgetent_r): New function.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* nss/nss_files/files-alias.c: Modified.
	(get_next_alias): Modified function.
	* nss/nss_files/files-hosts.c: Modified.
	* nss/nss_files/files-netgrp.c: Modified.
	(NSS_DECLARE_MODULE_FUNCTIONS): Modified function.
	(libnss_files_hidden_def): Remove function.
	(libnss_files_hidden_def): Remove function.
	(libc_hidden_def): New.
	(strip_whitespace): New function.
	(libc_hidden_def): New.
	(_nss_files_getnetgrent_r): New function.
	* nss/nss_files/files-network.c: Modified.
	(netent_data): Modified.
	(n_net): Modified.
	(nss_files.h): Include file.
	* nss/nss_files/files-parse.c: Modified.
	[! ENTDATA][!(IS_IN (libc))](nss_files_parse_hidden_def): Remove.
	[! ENTDATA][IS_IN (libc)](nss_files_parse_hidden_def): Remove.
	[! ENTDATA](nss_files_parse_hidden_def): New.
	* nss/nss_readline.c: Modified.
	(__nss_readline): Modified function.

2021-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 36861a968ad143f662db489cd8f859186ee375c2
	nss_files: Add generic code for set*ent, end*ent and file open

	* include/nss_files.h: Modified.
	[IS_IN (libc)](libc-lock.h): New.
	(nss_files_per_file_data): New.
	(nss_files_file): New.
	(__nss_files_data_open): New function.
	(libc_hidden_proto): New.
	(__nss_files_data_put): New function.
	(libc_hidden_proto): New.
	(__nss_files_data_setent): New function.
	(libc_hidden_proto): New.
	(__nss_files_data_endent): New function.
	(libc_hidden_proto): New.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* nss/nss_files/files-XXX.c: Modified.
	[! NEED_H_ERRNO](H_ERRNO_ARG_OR_NULL): New.
	[NEED_H_ERRNO](H_ERRNO_ARG_OR_NULL): New.
	(stream): Remove.
	(CONCAT): Modified function.
	(internal_endent): Remove function.
	(CONCAT): Modified function.
	(CONCAT): Modified function.
	(DB_LOOKUP): Modified.
	* nss/nss_files/files-alias.c: Modified.
	(stream): Remove.
	(internal_setent): Remove function.
	(_nss_files_setaliasent): Modified function.
	(internal_endent): Remove function.
	(_nss_files_endaliasent): Modified function.
	(_nss_files_getaliasent_r): Modified function.
	(_nss_files_getaliasbyname_r): Modified function.
	(NSS_DECLARE_MODULE_FUNCTIONS): New function.
	* nss/nss_files/files-hosts.c: Modified.
	(internal_endent): Remove.
	(internal_endent): Remove.
	(fclose): New function.
	(fclose): New function.
	* nss/nss_files_data.c: New file.

2021-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f0c28504a9877be5da3ed1215f2da2d5914bbb0b
	nss_files: Allocate nscd file registration data on the heap

	* nss/nss_files/files-init.c: Modified.
	(PWD_FILENAME): Remove.
	(NSS_DECLARE_MODULE_FUNCTIONS): Remove.
	(GRP_FILENAME): Remove.
	(define_traced_file): Remove.
	(HST_FILENAME): Remove.
	(define_traced_file): Remove.
	(RESOLV_FILENAME): Remove.
	(define_traced_file): Remove.
	(SERV_FILENAME): Remove.
	(define_traced_file): Remove.
	(NETGR_FILENAME): Remove.
	(define_traced_file): Remove.
	(_nss_files_init): Modified function.
	(NSS_DECLARE_MODULE_FUNCTIONS): New function.

2021-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7fcdb532534e46f70624fd7e3681eb6831a69303
	libio: Replace internal _IO_getdelim symbol with __getdelim

	* iconv/gconv_parseconfdir.h: Modified.
	[IS_IN (libc)](__getdelim): Modified.
	* include/stdio.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	* libio/iogetdelim.c: Modified.
	(_IO_getdelim): Remove function.
	(weak_alias): Modified.
	(weak_alias): Remove.
	(__getdelim): New function.
	(libc_hidden_def): New.
	* libio/libioP.h: Modified.
	(_IO_getdelim): Remove.
	* stdio-common/getline.c: Modified.
	(__getline): Modified function.
	* sysdeps/unix/sysv/linux/readonly-area.c: Modified.
	(__readonly_area): Modified function.

2021-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 771473a8c4f44d11e8e6521a96f4e92c20984eb3
	libio: Add hidden prototype for ungetc

	* include/stdio.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	* libio/ioungetc.c: Modified.
	(_IO_ungetc): Remove function.
	(weak_alias): Remove.
	(ungetc): New function.
	(libc_hidden_def): New.
	(strong_alias): New.

2021-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c4ec8cab07615600dcff90efcc3676855fe84b6d
	inet: Add hidden prototype for __inet_network

	* include/arpa/inet.h: Modified.
	[! _ISOMAC](__inet_network): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* inet/inet_net.c: Modified.
	(inet_network): Remove function.
	(__inet_network): New function.
	(libc_hidden_def): New.
	(weak_alias): New.

2021-07-07  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 26890e1cd018a2012badeb4fb4de265c53b485f7
	Update MIPS libm-test-ulps

	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.

2021-07-07  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: f517610f3ab918109bf640ec229d61c743543d11
	Update powerpc-nofpu libm-test-ulps

	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.

2021-07-07  liuhongt  <hongtao.liu@intel.com>

	COMMIT: 6ec6c77867af4ddfec7323e0ac6ede89effca852
	soft-fp: Add __extendhfsf2/__extendhfdf2, __truncsfhf2/__truncdfhf2, __eqhf2/__nehf2

	* soft-fp/eqhf2.c: New file.
	* soft-fp/extendhfdf2.c: New file.
	* soft-fp/extendhfsf2.c: New file.
	* soft-fp/half.h: Modified.
	(FP_CMP_EQ_H): New.
	* soft-fp/truncdfhf2.c: New file.
	* soft-fp/truncsfhf2.c: New file.

2021-07-07  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: b46cfcef3f7dab8e90729c6616ac1420f2642245
	Update kernel version to 5.13 in tst-mman-consts.py

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.

2021-07-07  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: fab3a6daf137c734e684471e197148aa058102e3
	tests-exclude-mcheck: Fix typo

	* malloc/Makefile: Modified.

2021-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7a5db2e82fbb6c3a6e3fdae02b7166c5d0e8c7a8
	elf: Clean up GLIBC_PRIVATE exports of internal libdl symbols

	* dlfcn/dlerror.c: Modified.
	(libc_hidden_def): Remove.
	* elf/Makefile: Modified.
	* elf/Versions: Modified.
	* elf/dl-addr.c: Modified.
	(libc_hidden_def): Remove.
	* elf/dl-libc.c: Modified.
	(libc_hidden_def): Remove.
	(libc_hidden_def): Remove.
	(libc_hidden_def): Remove.
	(libc_hidden_def): Remove.
	* elf/dl-sym.c: Modified.
	(libc_hidden_def): Remove.
	(libc_hidden_def): Remove.
	* elf/tst-libc_dlvsym-dso.c: Delete file.
	* elf/tst-libc_dlvsym-static.c: Delete file.
	* elf/tst-libc_dlvsym.c: Delete file.
	* elf/tst-libc_dlvsym.h: Delete file.
	* include/dlfcn.h: Modified.
	[! _ISOMAC][ElfW](_dl_addr): Modified.
	[! _ISOMAC][ElfW](libc_hidden_proto): Remove.
	[! _ISOMAC](__libc_dlopen_mode): Modified.
	[! _ISOMAC](__libc_dlsym): Modified.
	[! _ISOMAC](__libc_dlvsym): Modified.
	[! _ISOMAC](__libc_dlclose): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](_dl_sym): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](_dl_vsym): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](_dlerror_run): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.

